GNU logs - #50358, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:30:01 +0000
Resent-Message-ID: <handler.50358.B.163068296928446 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-Debbugs-Original-To: guix-patches@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.163068296928446
          (code B ref -1); Fri, 03 Sep 2021 15:30:01 +0000
Received: (at submit) by debbugs.gnu.org; 3 Sep 2021 15:29:29 +0000
Received: from localhost ([127.0.0.1]:45750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMB8D-0007Ok-Dj
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:29:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:52020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMB8B-0007Ob-4P
 for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:29:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50636)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1mMB8A-0001br-TW
 for guix-patches@HIDDEN; Fri, 03 Sep 2021 11:29:26 -0400
Received: from mail-qv1-xf2f.google.com ([2607:f8b0:4864:20::f2f]:33624)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1mMB88-0002ub-R1
 for guix-patches@HIDDEN; Fri, 03 Sep 2021 11:29:26 -0400
Received: by mail-qv1-xf2f.google.com with SMTP id a5so3395403qvq.0
 for <guix-patches@HIDDEN>; Fri, 03 Sep 2021 08:29:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=OMuLGfBeNiN3CQZIJfaBFTFPNzdgPcVtvWf9luvh7MM=;
 b=IM6fF8089ArT8Ij470bv1/micuLh2hSOSMTVHFcGTe1N83TCol5HOdVe82cQ88WOu/
 b2TwjMT4x/DfhmUNK+H7YHP8zwnr/jryel6rKdTiZQx7DvLMfec8tGotXxoV9E54Acos
 TC+4bspoGB/otUMegfCRPXhQu7tpbiCzPTdfpFWSNeO1mSw9VzU9+tu+av/hysVieJFQ
 1mS51B7996pSF7/w3dfCvOLV4+IYbqTrmSnV65dP65Q9p4zu9QXw5wAmMGQvUZEzGt+O
 Vwr2WSsA3xFnlvYx1q/8cQU+tbWnObFumbCQ5JBGmkcG+x9IS6wam71Z44VrIPh1mapc
 Ux3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=OMuLGfBeNiN3CQZIJfaBFTFPNzdgPcVtvWf9luvh7MM=;
 b=VZk5aCAWIQ1L02kAQwRBxDfjEuIbYvIhrdBREGsLQriwBAWXpqQjTel8s7U8eP/Ep4
 fvs9IGklkFSutz3sPkFcjspzamFfMOMwpOjT5Sw0Hlfx/j/DyGWezSdR6Bzs/qu08jR8
 8hSG2cmz+3DqaDBk9ZmR4skOr1ubAB+9W16aFq1rODHqbad+QecOu2tlXzbSL1NdHyrF
 uDSLooip1fu5GDPIv5ioBsPmpvpQd/Ipgx1INNjB3egVAOlcrOnR65lviv1OfMJAawmS
 EjjF0y21GAewcGx+KWVqnM/G/P78gdwac2qgrdOLtZ7DOikDAXl7rsPpx4ejdStymmEg
 FKBA==
X-Gm-Message-State: AOAM531P5Y1AcQElqJZr10FXz7FHknKvIQyC3drxqWSNd32bsV8p8LmX
 HmiGIYOEgp8vr13IeCbVQn0niXAJ0fQ=
X-Google-Smtp-Source: ABdhPJy3BHN0ZlHIgutTllQhaJ6nymEIB+Igg5VL2lvIlLLgDU5tQq/wdzBxQej7dry+ozxi8pzhmA==
X-Received: by 2002:a05:6214:20eb:: with SMTP id
 11mr4251865qvk.52.1630682963466; 
 Fri, 03 Sep 2021 08:29:23 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id t24sm4131066qkg.28.2021.09.03.08.29.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:29:22 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:29:03 -0400
Message-Id: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::f2f;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-qv1-xf2f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

This series hasten the Rust bootstrap chain by about half (from about 8 to 4
hours) and fixes other things reported on the core-updates-frozen branch.
It's a world-rebuilding series (mostly due to the fix to the source repacking
code), so we might as well combine it with other world-rebuild changes that
were being put off.

Maxim Cournoyer (8):
  guix: packages: Fix repacking of plain tarballs.
  aux-files: sitecustomize: Cleanup and add explanatory comments.
  gnu: glade3: Remove sitecustomize.py workaround.
  gnu: rust: Bootstrap rust from 1.39.0 and optimize build time.
  gnu: rust: Add rust 1.54 and move all non-bootstrapping logic to it.
  gnu: Build all Rust packages using the latest rustc.
  gnu: mozjs-78: Update to 78.13.0.
  gnu: fontconfig: Add a search path for XDG_DATA_DIRS.

 gnu/local.mk                                  |   2 +-
 .../aux-files/python/sitecustomize.py         |  28 +-
 gnu/packages/crates-io.scm                    |  29 +-
 gnu/packages/fontutils.scm                    |  28 +-
 gnu/packages/gnome.scm                        |  17 +-
 gnu/packages/gnuzilla.scm                     |   8 +-
 .../patches/rust-reproducible-builds.patch    |  25 -
 gnu/packages/patches/rustc-1.39.0-src.patch   |  99 +++
 gnu/packages/rust-apps.scm                    |  12 +-
 gnu/packages/rust.scm                         | 574 ++++++++----------
 gnu/packages/shells.scm                       |   3 +-
 gnu/packages/syndication.scm                  |   1 -
 guix/packages.scm                             |   8 +-
 13 files changed, 405 insertions(+), 429 deletions(-)
 delete mode 100644 gnu/packages/patches/rust-reproducible-builds.patch
 create mode 100644 gnu/packages/patches/rustc-1.39.0-src.patch

-- 
2.33.0





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: bug#50358: Acknowledgement ([PATCH core-updates-frozen 0/8]
 Shortened Rust bootstrap & other fixes.)
Message-ID: <handler.50358.B.163068296928446.ack <at> debbugs.gnu.org>
References: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
X-Gnu-PR-Message: ack 50358
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50358 <at> debbugs.gnu.org
Date: Fri, 03 Sep 2021 15:30:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 50358 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50358: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50358
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 1/8] guix: packages: Fix repacking of plain tarballs.
References: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
In-Reply-To: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:32:02 +0000
Resent-Message-ID: <handler.50358.B50358.163068310628751 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Mathieu Othacehe <othacehe@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068310628751
          (code B ref 50358); Fri, 03 Sep 2021 15:32:02 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:31:46 +0000
Received: from localhost ([127.0.0.1]:45755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAP-0007Tf-Rh
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:46 -0400
Received: from mail-qk1-f181.google.com ([209.85.222.181]:42810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAM-0007TQ-SB
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:44 -0400
Received: by mail-qk1-f181.google.com with SMTP id t4so6149537qkb.9
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=JwshbKnU1r/1gJ92SRWg+KbQEjGErmLMThAeWi/O1oM=;
 b=fvdZifRpMqRmRXkssyl5M69yMLh4liqOq7O6/6s4PIH8vc3J1fDRc++xF5ipsdiFbn
 9y5vXJ/TZmmQTAc+3LCqsinFSdurrVf97lT2/6iidulBX+wZ0az4QSK6ivZahIlsYu8F
 +9XIsM5+VZrHuUU73fadOGEEjyIp9yjwQzQ3/9A3PWvQA+/TZlO42fsuZb5IP3iVZaal
 TOxersPrcqvAb6kyLtgA6xuwosuapKs26I/qSgyby8q2s/piwO7n2jr93sEMRs+QXGe3
 ioJzdeGmHYSJHqzz5hJ9Ifg592h1lLJn8s22XECiwgdJVp3lQPmUPqjr+ChRIWszWn/4
 30AQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=JwshbKnU1r/1gJ92SRWg+KbQEjGErmLMThAeWi/O1oM=;
 b=FQVg2QctdYtl+QSOYsmQMOVTgjZpyP6cUOoSire0iy9SBnpOrarS7FHJe9Tqxw8xLq
 RGnHkXW8NfGYpwUK5+ycOq4BYygXKPYFxFyl+RRMHPbRarXozwLvb3p7Q24k6DmZqKfR
 SdTQRiJp2jzrSwPORyYyn/Ubym5oVFXqJWHxk9NtiGr2DGTj0F36UbPwD8zdJZOlcGL0
 mt2U5GCM2iIRuSmVqsWxStK8JnEPE1hFYroqAie98iAprD8D99s7CZL3qUmwOXyC2O4s
 bT49ne8TU/b0rFGmCqopmPGod7r8OWLImiZdqtwQ3ivcpGf8oi0BGTZa9N5MbXVKVTmf
 DzHg==
X-Gm-Message-State: AOAM5300vTqntpjPayXByThRmLHHw/itwQInwQM656f1rh2il7DMVD+D
 J6IrFq9CYXRJh6nw3hCdi1siZ6ndiBE=
X-Google-Smtp-Source: ABdhPJw7+/pLYGjKA9VJFdYhCyfR20ITDEHVZ71z1TtCBFXjNYT80XNnBygPaveuhhKq969XxRM5rg==
X-Received: by 2002:a05:620a:191d:: with SMTP id
 bj29mr3979687qkb.362.1630683097064; 
 Fri, 03 Sep 2021 08:31:37 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:36 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:09 -0400
Message-Id: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fixes <https://issues.guix.gnu.org/50066>.

* guix/packages.scm (patch-and-repack): Test for a tarball using tarball? and
move the plain file copy to the else clause.

Reported-by: Mathieu Othacehe <othacehe@HIDDEN>
---
 guix/packages.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/guix/packages.scm b/guix/packages.scm
index 2349bb4340..f0dd1d43d2 100644
--- a/guix/packages.scm
+++ b/guix/packages.scm
@@ -836,10 +836,10 @@ specifies modules in scope when evaluating SNIPPET."
                ((file-is-directory? #+source)
                 (copy-recursively directory #$output
                                   #:log (%make-void-port "w")))
-               ((not #+comp)
-                (copy-file file #$output))
-               (else
-                (repack directory #$output)))))))
+               ((or #+comp (tarball? #+source))
+                (repack directory #$output))
+               (else                    ;single uncompressed file
+                (copy-file file #$output)))))))
 
     (let ((name (if (or (checkout? original-file-name)
                         (not (compressor original-file-name)))
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 2/8] aux-files: sitecustomize: Cleanup and add explanatory comments.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:32:02 +0000
Resent-Message-ID: <handler.50358.B50358.163068311028768 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Hartmut Goebel <h.goebel@HIDDEN>, Maxim Cournoyer <maxim.cournoyer@HIDDEN>, Mathieu Othacehe <othacehe@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068311028768
          (code B ref 50358); Fri, 03 Sep 2021 15:32:02 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:31:50 +0000
Received: from localhost ([127.0.0.1]:45758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAU-0007Tw-37
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:50 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:35593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAS-0007TX-GL
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:49 -0400
Received: by mail-qv1-f51.google.com with SMTP id g11so3377291qvd.2
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=XLBpc16ec7gYQsrlLcrJVGe/1kPuf0sn09F+IgeHsH8=;
 b=JNCiFfyytNUeo07NOpSEfP0E1czhL5hZjt79nSS6GiYhJyU4cBjhj+NeF23BsgiDaj
 o1oZxAT2pzKxvH4kCs5ucGNk3oQUUa2dTPh3zmcDrBUZ03N9G4ZgsfORNBY9IgzfuGaZ
 VRFUxkctiYuMa6bZix8iI5hKnJR98QUpyA+5gfoX+ZUSTFPCbDWhymZAElH4U48v8BEq
 iCwagzF2hw5hVM2ctogrpIOTV6UzD2007E+t+bJqX7QTjB5xaOmcp6NVZzj9M/Xb1hFA
 pzglAn758oeZyZHMeg0BD2DPOKgsN3Fdqyn0+S5mFLBYOOf2YbA2IWSqpcuB8BAS3QTF
 c3yg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=XLBpc16ec7gYQsrlLcrJVGe/1kPuf0sn09F+IgeHsH8=;
 b=W2sBESWnfRveyXhr67NGUqT/tb9AWvRE+ki/D8yI+r57H7XczxxoOhEkACBVxTh0Cg
 lrUS5jY8gVyGLqjGzRbLLVN6CqLUWJBK18zZ2sw+tLZqG3eEZIyjdIFmZ1oiwy9Mffie
 hSEc3J4SvIo2kgsPqDh2mda4KrTW5+EoW7nvU3VS4ub4H+obItquXG/RzXccpRmLZOfw
 9qsuvpbQrDzHBHOt7X5aJzouPNvT5k2BWaXK5OIGD2Rcti9dkfrCOA+eAcPMON4GB9ah
 zfdVX+W0Xk65s9XbEctUzGURCo4QRT/UvYHjEb0LbjBXbjH45BtYfwrtvTg0goQxpVPX
 KxJg==
X-Gm-Message-State: AOAM533A9/c1MBtklOhi5onhFwH6DeeLHDhOKShnbODiJ3jlYPy2ukWV
 G7SC+Np5dmrLkP7TcpWTVGEAvlXdcSA=
X-Google-Smtp-Source: ABdhPJywVplPtkU09+jmOwCqvWMASqMuXdbKR/Y1VgSwkvovSlA6WmUz/LWTdjSoAxBC/3n+sW8MEQ==
X-Received: by 2002:ad4:55ac:: with SMTP id f12mr4033089qvx.34.1630683102794; 
 Fri, 03 Sep 2021 08:31:42 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:42 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:10 -0400
Message-Id: <20210903153116.22517-2-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fixes <https://issues.guix.gnu.org/50105>.

* gnu/packages/aux-files/python/sitecustomize.py: Add a comment explaining the
general idea, and use sys.prefix instead of sys.executable.

(major_minor): Use the unpacking operator (*) to provide the arguments.
(site_packages_prefix): Use os.path.join to form the path.
(python_site): Likewise.  Use sys.prefix instead of sys.executable.
(all_sites_raw): Split on os.path.pathsep.
(sys.path): Directly splice the result in the list.

Suggested-by: Hartmut Goebel <h.goebel@HIDDEN>
Reported-by: Mathieu Othacehe <othacehe@HIDDEN>
Signed-off-by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
---
 .../aux-files/python/sitecustomize.py         | 28 ++++++++++++++-----
 1 file changed, 21 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/aux-files/python/sitecustomize.py b/gnu/packages/aux-files/python/sitecustomize.py
index 65d3c7d554..71e328b9ac 100644
--- a/gnu/packages/aux-files/python/sitecustomize.py
+++ b/gnu/packages/aux-files/python/sitecustomize.py
@@ -20,13 +20,26 @@
 import os
 import sys
 
-python_root = os.path.realpath(sys.executable).split('/bin/')[0]
-major_minor = '{}.{}'.format(sys.version_info[0], sys.version_info[1])
-site_packages_prefix = 'lib/python' + major_minor + '/site-packages'
-python_site = python_root + '/' + site_packages_prefix
+# Commentary:
+#
+# Site-specific customization for Guix.
+#
+# The program below honors the GUIX_PYTHONPATH environment variable to
+# discover Python packages.  File names appearing in this variable that match
+# a predefined versioned installation prefix are added to the sys.path.  To be
+# considered, a Python package must be installed under the
+# 'lib/pythonX.Y/site-packages' directory, where X and Y are the major and
+# minor version numbers of the Python interpreter.
+#
+# Code:
+
+major_minor = '{}.{}'.format(*sys.version_info)
+site_packages_prefix = os.path.join(
+    'lib', 'python' + major_minor, 'site-packages')
+python_site = os.path.join(sys.prefix, site_packages_prefix)
 
 try:
-    all_sites_raw = os.environ['GUIX_PYTHONPATH'].split(':')
+    all_sites_raw = os.environ['GUIX_PYTHONPATH'].split(os.path.pathsep)
 except KeyError:
     all_sites_raw = []
 # Normalize paths, otherwise a trailing slash would cause it to not match.
@@ -35,7 +48,8 @@ matching_sites = [p for p in all_sites_norm
                   if p.endswith(site_packages_prefix)]
 
 # Insert sites matching the current version into sys.path, right before
-# Python's own site.
+# Python's own site.  This way, the user can override the libraries provided
+# by Python itself.
 sys_path_absolute = [os.path.realpath(p) for p in sys.path]
 index = sys_path_absolute.index(python_site)
-sys.path = sys.path[:index] + matching_sites + sys.path[index:]
+sys.path[index:index] = matching_sites
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 3/8] gnu: glade3: Remove sitecustomize.py workaround.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:32:03 +0000
Resent-Message-ID: <handler.50358.B50358.163068311328786 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068311328786
          (code B ref 50358); Fri, 03 Sep 2021 15:32:03 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:31:53 +0000
Received: from localhost ([127.0.0.1]:45761 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAX-0007UE-GV
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:53 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:44964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAW-0007Tn-2Z
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:52 -0400
Received: by mail-qv1-f48.google.com with SMTP id eh1so3354572qvb.11
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=np4L5Nm3s/Zkp8xGNPp2OsrHSh19CgkVd4VjYfB0rK0=;
 b=Nl0RSBWLMRanlsBrbj5wB6wstMWo3JiZX9pdZjSNBWfBaPLYYq14v7r0rwLwwTQsj/
 QEv299AURws8zQPnecfTMGqsQFgJz28wRNqLbqIde9+MdcddwpEUe7FdLcIHz+hWP7/a
 Suq2jtbIyb+1huTRHR7K46gaKGg9tpUxTXPxIGXmOSyB86tGXZIjm4KWcBCJAVGWD78o
 zJYyDgiVZ7FKXhTlWrWZBKvUtSl1ScHlYoyBjCZOxArh9ATdGTTCFOuOqbeKoC5FnMHA
 6acIWXDNTsW6VDZZq0vxUgPoQYLZkl7xFGUDyGYK7T8WSwyySL31iiqLiU2VhyH3Lc0S
 6oFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=np4L5Nm3s/Zkp8xGNPp2OsrHSh19CgkVd4VjYfB0rK0=;
 b=skeDa2gDnw2/0+DpS2+mTzGlN7tDLJTfx0koUCz7lajuDuDi46iK152LNTTAdZoWsO
 cVDY8DF02JV1FQHNS+v4aN4brYVor0rKyCfz3wUWnWWHkmsfuLqRnEYZJG8pEMxGSDy0
 X54qsfibEhfzZK+W8hspkQfSs7uifRs5ELoD2GGPyeB0jArEJpPFudFU8NlrnBzKPbWl
 clwzQGcq/EpV3U/PMQ/vp85McsnxxyiQfl/a8LUYdBCSWO3gnzHGcwBB5RR9nBTn43N+
 AopOAMn2Pl2LEjFS5vr50RI3d0IKgJjSg3Walo9/Sg69yL+1R/3kh8zyObfqOKl2Bgm4
 Ee5w==
X-Gm-Message-State: AOAM530H3xsMnMadsT7QQ6ajmRjOJSX+/heTRuSLKEiPPtaZ7QcXVCaO
 RyW5682Fv9C08L3749GwZF8oppUMtLY=
X-Google-Smtp-Source: ABdhPJwr12R0ElCqY1CPwt0wBl7i7XPdqbY2hOMv7e7ucXuPdiJ4dWhlf/10GvIuWFYgirZi9jtwAw==
X-Received: by 2002:a0c:aa03:: with SMTP id d3mr4389730qvb.9.1630683106467;
 Fri, 03 Sep 2021 08:31:46 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:46 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:11 -0400
Message-Id: <20210903153116.22517-3-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The issue has since been resolved.

* gnu/packages/gnome.scm (glade3)[phases]{fix-tests}: Delete phase.
---
 gnu/packages/gnome.scm | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index e0e9c47458..cae6e1aa0b 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -3199,28 +3199,21 @@ API add-ons to make GTK+ widgets OpenGL-capable.")
            (lambda _
              (substitute* "meson_post_install.py"
                (("gtk-update-icon-cache") "true"))))
-         ;; XXX: Remove it once this issue is fixed:
-         ;; https://issues.guix.gnu.org/50105.
-         (add-after 'unpack 'fix-tests
-           (lambda _
-             (substitute* "tests/meson.build"
-               (("\\['modules") "#['modules"))))
          (add-before 'configure 'fix-docbook
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "man/meson.build"
-               (("http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl")
+               (("http://docbook.sourceforge.net/release/xsl/\
+current/manpages/docbook.xsl")
                 (string-append (assoc-ref inputs "docbook-xsl")
                                "/xml/xsl/docbook-xsl-"
                                ,(package-version docbook-xsl)
-                               "/manpages/docbook.xsl")))
-             #t))
+                               "/manpages/docbook.xsl")))))
          (add-before 'check 'pre-check
            (lambda _
              (setenv "HOME" "/tmp")
              ;; Tests require a running X server.
              (system "Xvfb :1 &")
-             (setenv "DISPLAY" ":1")
-             #t)))))
+             (setenv "DISPLAY" ":1"))))))
     (inputs
      `(("gtk+" ,gtk+)
        ("libxml2" ,libxml2)))
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 5/8] gnu: rust: Add rust 1.54 and move all non-bootstrapping logic to it.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:32:03 +0000
Resent-Message-ID: <handler.50358.B50358.163068312028820 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068312028820
          (code B ref 50358); Fri, 03 Sep 2021 15:32:03 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:32:00 +0000
Received: from localhost ([127.0.0.1]:45766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAd-0007Ug-Qg
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:00 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:42969)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAb-0007U6-Oj
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:58 -0400
Received: by mail-qv1-f53.google.com with SMTP id gf5so3366570qvb.9
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Bnp8O3V9TONYbgcHHa3rjz1C2RoIu3ck4Uyq+4sMF+k=;
 b=SdIDJMsp2oqaDbDxauHlr6FbcVZTlzvy7+Hu1a5LI5oC+TSQlm1DZ67n7foAfrwNAK
 V5DRjZLVfa7P3OKlwkM9z1hq08fZtj8tMNqPrToXYbz7yma6puRA7O6Y1xOz0RyrUtf/
 JDo/kkqF5j6cqx8Nq8Y8MkTPRv1r3PWnj6NW5Se88obW/52ZQlgxSnrMxQa11TuGvkN9
 uJoC+x7T9JZyEMAcK0V7gOFs73kiqVuegYaaky7kv91YfWaBourWOnMrBZ+PXdh+03p7
 6/DTprApo5mrQ+PGFC2G/r8NHnJiajqFSmjIonv2s4qtDJzrFLP9P25r5xi5bAHCgCQ0
 t0eg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Bnp8O3V9TONYbgcHHa3rjz1C2RoIu3ck4Uyq+4sMF+k=;
 b=L5rxNoD+daHYPnSCIeAV+QJd0jxDkXHx786PcTuZN9NV2MMIaAZaR0+Qx2DdGiDL2L
 9e5QFsazje2Jqa5vBd34tuCNcnGu996T8R0gDLvubQ5QKEsyBavdndBEgZgi/IOPnF7J
 Y146Xur5tpROJ4nINNuIgG/UzQhrRbn90dgGtkyG1S7jOJJ6d0cqkh7D+YqulfScBzJR
 T7xMNYizhnndreUQcipi1qGyUCbcFT1LN2OB+88AvP/Mo/NNZN1h/gObyOBJDOBtCunZ
 RL1FFffe4Vb1NjhKdR3zEQzweQCU9rnYETgmsAECIGceeLt84A/saubs8JmZmNlnAMU/
 SsjA==
X-Gm-Message-State: AOAM532rRl/U0T0PkFD8CSKDB8K5AhxQ851y5cyRpe5O9C/CIbTucYiv
 PIJCrIYXh19jo07UovsrNdAaf8tlqBQ=
X-Google-Smtp-Source: ABdhPJxZdNbqp9Le5EuuECCUReyq3srbwg24PjA4XN1H8feL6V/AuB1qdqdl+23f5gXdfsg7q+WZpA==
X-Received: by 2002:a0c:e1cf:: with SMTP id v15mr4377668qvl.50.1630683112022; 
 Fri, 03 Sep 2021 08:31:52 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:51 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:13 -0400
Message-Id: <20210903153116.22517-5-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/rust.scm (rust-1.44): Do not replace LLVM version, for
simplicity.  It used to be required at this point because LLVM 7 was no longer
supported for rust-1.44, but we're now using LLVM 9.
(rust-1.46): Move all additional phases, doc output to rust-1.54.
(rust-1.53, rust-1.54): New variables.
(rust-1.54): Adjust snippet field.
(rust): Set default Rust to the latest version, 1.54.0.
[native-inputs]: Use the latest GDB.
---
 gnu/packages/rust.scm | 167 +++++++++++++++++++++---------------------
 1 file changed, 83 insertions(+), 84 deletions(-)

diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 1a819abf32..36c9b4d012 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -540,15 +540,11 @@ safety and thread safety guarantees.")
   (rust-bootstrapped-package
    rust-1.42 "1.43.0" "18akhk0wz1my6y9vhardriy2ysc482z0fnjdcgs9gy59kmnarxkm"))
 
-;; This version needs llvm >= 8.0 and NOT 11
+;; This version requires llvm <= 11.
 (define-public rust-1.44
-  (let ((base-rust  (rust-bootstrapped-package
-                      rust-1.43 "1.44.1"
-                      "0ww4z2v3gxgn3zddqzwqya1gln04p91ykbrflnpdbmcd575n8bky")))
-    (package
-      (inherit base-rust)
-      (inputs
-       (alist-replace "llvm" (list llvm-10) (package-inputs base-rust))))))
+  (rust-bootstrapped-package
+   rust-1.43 "1.44.1"
+   "0ww4z2v3gxgn3zddqzwqya1gln04p91ykbrflnpdbmcd575n8bky"))
 
 (define-public rust-1.45
   (let ((base-rust (rust-bootstrapped-package
@@ -567,53 +563,8 @@ safety and thread safety guarantees.")
                     "linker.env(\"LC_ALL\", \"en_US.UTF-8\");")))))))))))
 
 (define-public rust-1.46
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.45 "1.46.0"
-                    "0a17jby2pd050s24cy4dfc0gzvgcl585v3vvyfilniyvjrqknsid")))
-    (package
-      (inherit base-rust)
-      (outputs (cons "rustfmt" (package-outputs base-rust)))
-      (arguments
-       (substitute-keyword-arguments (package-arguments base-rust)
-         ((#:phases phases)
-          `(modify-phases ,phases
-             (replace 'build
-               ;; Phase overridden to also build rustfmt.
-               (lambda* (#:key parallel-build? #:allow-other-keys)
-                 (let ((job-spec (string-append
-                                  "-j" (if parallel-build?
-                                           (number->string (parallel-job-count))
-                                           "1"))))
-                   (invoke "./x.py" job-spec "build"
-                           "library/std" ;rustc
-                           "src/tools/cargo"
-                           "src/tools/rustfmt"))))
-             (replace 'check
-               ;; Phase overridden to also test rustfmt.
-               (lambda* (#:key tests? parallel-build? #:allow-other-keys)
-                 (when tests?
-                   (let ((job-spec (string-append
-                                    "-j" (if parallel-build?
-                                             (number->string (parallel-job-count))
-                                             "1"))))
-                     (invoke "./x.py" job-spec "test" "-vv"
-                             "library/std"
-                             "src/tools/cargo"
-                             "src/tools/rustfmt")))))
-             (replace 'install
-               ;; Phase overridden to also install rustfmt.
-               (lambda* (#:key outputs #:allow-other-keys)
-                 (invoke "./x.py" "install")
-                 (substitute* "config.toml"
-                   ;; Adjust the prefix to the 'cargo' output.
-                   (("prefix = \"[^\"]*\"")
-                    (format #f "prefix = ~s" (assoc-ref outputs "cargo"))))
-                 (invoke "./x.py" "install" "cargo")
-                 (substitute* "config.toml"
-                   ;; Adjust the prefix to the 'rustfmt' output.
-                   (("prefix = \"[^\"]*\"")
-                    (format #f "prefix = ~s" (assoc-ref outputs "rustfmt"))))
-                 (invoke "./x.py" "install" "rustfmt"))))))))))
+  (rust-bootstrapped-package
+   rust-1.45 "1.46.0" "0a17jby2pd050s24cy4dfc0gzvgcl585v3vvyfilniyvjrqknsid"))
 
 (define-public rust-1.47
   (let ((base-rust (rust-bootstrapped-package
@@ -640,12 +591,44 @@ safety and thread safety guarantees.")
    rust-1.47 "1.48.0" "0fz4gbb5hp5qalrl9lcl8yw4kk7ai7wx511jb28nypbxninkwxhf"))
 
 (define-public rust-1.49
+  (rust-bootstrapped-package
+   rust-1.48 "1.49.0" "0yf7kll517398dgqsr7m3gldzj0iwsp3ggzxrayckpqzvylfy2mm"))
+
+(define-public rust-1.50
+  (rust-bootstrapped-package
+   rust-1.49 "1.50.0" "0pjs7j62maiyvkmhp9zrxl528g2n0fphp4rq6ap7aqdv0a6qz5wm"))
+
+(define-public rust-1.51
+  (rust-bootstrapped-package
+   rust-1.50 "1.51.0" "0ixqkqglv3isxbvl4ldr4byrkx692wghsz3fasy1pn5kr2prnsvs"))
+
+;;; The LLVM requiriment has been bumped to version 10 in Rust 1.52.  Use the
+;;; latest available.
+(define-public rust-1.52
   (let ((base-rust (rust-bootstrapped-package
-                    rust-1.48 "1.49.0"
-                    "0yf7kll517398dgqsr7m3gldzj0iwsp3ggzxrayckpqzvylfy2mm")))
+                    rust-1.51 "1.52.1"
+                    "165zs3xzp9dravybwslqs1qhn35agp6wacmzpymqg3qfdni26vrs")))
+    (package
+      (inherit base-rust)
+      (inputs (alist-replace "llvm" (list llvm-12)
+                             (package-inputs base-rust))))))
+
+(define-public rust-1.53
+  (rust-bootstrapped-package
+   rust-1.52 "1.53.0" "1f95p259dfp5ca118bg107rj3rqwlswy65dxn3hg8sqgl4wwmxsw"))
+
+(define-public rust-1.54
+  (let ((base-rust
+         (rust-bootstrapped-package
+          rust-1.53 "1.54.0"
+          "0xk9dhfff16caambmwij67zgshd8v9djw6ha0fnnanlv7rii31dc")))
     (package
       (inherit base-rust)
-      (outputs (cons "doc" (package-outputs base-rust)))
+      (source
+       (origin
+         (inherit (package-source base-rust))
+         (snippet '(delete-file-recursively "src/llvm-project"))))
+      (outputs (cons "rustfmt" (package-outputs base-rust)))
       (arguments
        (substitute-keyword-arguments (package-arguments base-rust)
          ((#:tests? _ #f)
@@ -743,35 +726,51 @@ safety and thread safety guarantees.")
                    (substitute* "config.toml"
                      (("^python =.*" all)
                       (string-append all
-                                     "gdb = \"" gdb "/bin/gdb\"\n"))))))))))
+                                     "gdb = \"" gdb "/bin/gdb\"\n"))))))
+             (replace 'build
+               ;; Phase overridden to also build rustfmt.
+               (lambda* (#:key parallel-build? #:allow-other-keys)
+                 (let ((job-spec (string-append
+                                  "-j" (if parallel-build?
+                                           (number->string (parallel-job-count))
+                                           "1"))))
+                   (invoke "./x.py" job-spec "build"
+                           "library/std" ;rustc
+                           "src/tools/cargo"
+                           "src/tools/rustfmt"))))
+             (replace 'check
+               ;; Phase overridden to also test rustfmt.
+               (lambda* (#:key tests? parallel-build? #:allow-other-keys)
+                 (when tests?
+                   (let ((job-spec (string-append
+                                    "-j" (if parallel-build?
+                                             (number->string (parallel-job-count))
+                                             "1"))))
+                     (invoke "./x.py" job-spec "test" "-vv"
+                             "library/std"
+                             "src/tools/cargo"
+                             "src/tools/rustfmt")))))
+             (replace 'install
+               ;; Phase overridden to also install rustfmt.
+               (lambda* (#:key outputs #:allow-other-keys)
+                 (invoke "./x.py" "install")
+                 (substitute* "config.toml"
+                   ;; Adjust the prefix to the 'cargo' output.
+                   (("prefix = \"[^\"]*\"")
+                    (format #f "prefix = ~s" (assoc-ref outputs "cargo"))))
+                 (invoke "./x.py" "install" "cargo")
+                 (substitute* "config.toml"
+                   ;; Adjust the prefix to the 'rustfmt' output.
+                   (("prefix = \"[^\"]*\"")
+                    (format #f "prefix = ~s" (assoc-ref outputs "rustfmt"))))
+                 (invoke "./x.py" "install" "rustfmt")))))))
       ;; Add test inputs.
-      (native-inputs (cons*
-                      ;; The tests fail when using GDB 10 (see:
-                      ;; https://github.com/rust-lang/rust/issues/79009).
-                      `("gdb" ,gdb-9.2)
-                      `("procps" ,procps)
-                      (package-native-inputs base-rust))))))
-
-(define-public rust-1.50
-  (rust-bootstrapped-package rust-1.49 "1.50.0"
-    "0pjs7j62maiyvkmhp9zrxl528g2n0fphp4rq6ap7aqdv0a6qz5wm"))
-
-(define-public rust-1.51
-  (rust-bootstrapped-package rust-1.50 "1.51.0"
-    "0ixqkqglv3isxbvl4ldr4byrkx692wghsz3fasy1pn5kr2prnsvs"))
-
-(define-public rust-1.52
-  (let ((base-rust
-         (rust-bootstrapped-package rust-1.51 "1.52.1"
-           "165zs3xzp9dravybwslqs1qhn35agp6wacmzpymqg3qfdni26vrs")))
-    (package
-      (inherit base-rust)
-      (inputs
-        (alist-replace "llvm" (list llvm-12)
-                       (package-inputs base-rust))))))
+      (native-inputs (cons* `("gdb" ,gdb)
+                            `("procps" ,procps)
+                            (package-native-inputs base-rust))))))
 
 ;;; Note: Only the latest versions of Rust are supported and tested.  The
 ;;; intermediate rusts are built for bootstrapping purposes and should not
 ;;; be relied upon.  This is to ease maintenance and reduce the time
 ;;; required to build the full Rust bootstrap chain.
-(define-public rust rust-1.49)
+(define-public rust rust-1.54)
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 4/8] gnu: rust: Bootstrap rust from 1.39.0 and optimize build time.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:33:02 +0000
Resent-Message-ID: <handler.50358.B50358.163068313228895 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068313228895
          (code B ref 50358); Fri, 03 Sep 2021 15:33:02 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:32:12 +0000
Received: from localhost ([127.0.0.1]:45768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAe-0007Un-GJ
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:12 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:38522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAa-0007U4-Qq
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:58 -0400
Received: by mail-qv1-f50.google.com with SMTP id ew6so3380401qvb.5
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=EsizlrHehd81NHgdSe7xIPrb6c+/xHnM4msHrz6qfO0=;
 b=hRXCf6pJK9CLUtq931yaYYxOFqZ0wdkDm3zhaKS811TP7DyoNA7SLh+xteR2IepY3w
 phAOv0j8RevJuEQ/VfxGJnCafyYizx+oHSU8FeLgpwiC8gpML4UIc548V3JPsq8fJyc9
 OgXutGIaRmGfXV83CTucSG70FqVlzKsR27lBGv6YUhIdD4VMNUw/uDxBpl2ha8+qpWi8
 mxRPoKs6CdxTQpry3iHWjV2jTDrKdeAVAbQONoDkQtpeApc5BRx9C3tJCBkRzQQ/XB2g
 YxbtuYKhYhXRHo0T5DNXm8jma/k/wIpZZOUda1p/ZU7JnxPOL1FmIhf062AXofOv7vyl
 EH6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=EsizlrHehd81NHgdSe7xIPrb6c+/xHnM4msHrz6qfO0=;
 b=UuiynqMuxuKBJ0WyB/m8FIXKUJ/EtD48oVKJLQXPbx/nxQwhG1dUR6vfHduASWBIbw
 D/R7Ahm6rt2yeV3LCMIBqztgw3r6QjRinuGAOfEdstXusKbfCTK2D+G8R+Qj/9hXjNOf
 NzWRSmvv7paSD5tVCxIOnEKot7MtAFRgzYdYMAU5qOvh8JSrY8R52T1GJuYrnuGSVRr/
 siFKhfqdp1YJxzBJQ51U8LKFGQjuL35Y8R8zsXsazQhubiz4dG3S2pLAEFSzUUXD2szz
 stNMU6Urw6/lhrtQga6S63dXPkt/Esh+z6S2D4Sg/qEn32Yw+xR+66726ArcZRdVjsv1
 qcZA==
X-Gm-Message-State: AOAM530zBl9r8bisuKTQJOYlRSCjbpCHwtm3qiRIMcTCcvbTmHLI2zJ7
 9jK4gPZWxd9+iltb+7Wkj7tUkAohhDQ=
X-Google-Smtp-Source: ABdhPJwMkQR7LkQ7FBYXX2QlrTT3TXUL3YymIi9T1UZNc2Z9PpUi64TNHgrRuEhl5WFEzvTRv7/BvA==
X-Received: by 2002:ad4:4905:: with SMTP id bh5mr1587232qvb.63.1630683109891; 
 Fri, 03 Sep 2021 08:31:49 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:49 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:12 -0400
Message-Id: <20210903153116.22517-4-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Only stage 1 (rather than stage 2) rustc and cargo are built and the
installation phase rewritten to not invoke the build tool, which helps to
shorten the build time to about 10 minutes per Rust on a fast machine.  The
total build time should take less than 4h30, down from the current 8 hours on
a Ryzen 3900X CPU.

* gnu/packages/patches/rust-reproducible-builds.patch: Delete file.
* gnu/packages/patches/rustc-1.39.0-src.patch: New file.
* gnu/local.mk (dist_patch_DATA): Register it, and un-register
rust-reproducible-builds.patch.
* gnu/packages/rust.scm (%mrustc-commit): New variable.
(%mrustc-source): Update to commit 474bec9cfd7862a20e7288cecd7fcf5e18648b9a.
(rust-1.29): Morph into...
(rust-1.39): ... this.
[source]: Adjust the snippet, patches and patch-flags fields.
[inputs]: Replace llvm-7 by llvm (9).
[make-flags]: Add the RUSTC_VERSION, MRUSTC_TARGET_VER and OUTDIR_SUF make
variables.  Remove the RUSTCSRC make variable.
[phases]{copy-mrustc-and-patch}: Rename to...
{setup-mrustc-sources}: ... this.  A symbolic link is created inside the
mrustc directory, pointing to the Rust 1.39.0 sources.
{patch-makefiles}: Adjust directory.  Patch date and git definitions.  Edit
out the RUSTC_SRC_DL prerequisite.  Adjust the patching of a shebang.
{patch-cargo-checksums}: Adjust.
{configure-cargo-home}: New phase.
{configure}: Create and add a 'cc' shim to PATH.
{build}: Do not invoke make in parallel mode inside the run_rustc directory.
(rust-1.30): Morph into...
(rust-1.40): ... this, integrating the changes introduced between 1.30 and
1.40.
[modules]: Properly import (guix build cargo-utils).
[phases]{add-cc-shim-to-path}: New phase.
{configure}: Increase the codegen-units value to 256.
{build}: Only build stage 1 rustc and cargo, and group the commands into one
invocation.
{install}: Manually install the stage 1 build artifacts.
{patch-cargo-checksums}: Remove the ad-hoc use-modules, no longer needed.
[source]: Adjust.
[arguments]: Set validate-runpath? to #f.
[phases]{patch-cargo-checksums}: Remove phase.
{configure}: Repatriate the jemalloc configuration changes from 1.40.
[native-inputs]: Replace the rust-1.29 inputs by rust-1.39.  Use regular
jemalloc and llvm versions.
(rust-1.41)[phases]: Add the patch-cargo-checksums phase.
(rust-1.31, rust-1.32, rust-1.33, rust-1.34, rust-1.35, rust-1.36, rust-1.37)
(rust-1.38, rust-1.39, rust-1.40):  Delete variables.
(rust-1.46)[phases]{install}: Group build, test and install commands.
(rust-1.47)[phases]{build}: Override to adjust for the relocation of the
standard library source directory.
---
 gnu/local.mk                                  |   2 +-
 .../patches/rust-reproducible-builds.patch    |  25 -
 gnu/packages/patches/rustc-1.39.0-src.patch   |  99 ++++
 gnu/packages/rust.scm                         | 429 +++++++-----------
 4 files changed, 272 insertions(+), 283 deletions(-)
 delete mode 100644 gnu/packages/patches/rust-reproducible-builds.patch
 create mode 100644 gnu/packages/patches/rustc-1.39.0-src.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index bb22e29caa..f8e20a1f95 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1695,12 +1695,12 @@ dist_patch_DATA =						\
   %D%/packages/patches/rocm-opencl-runtime-4.3-nocltrace.patch \
   %D%/packages/patches/rocm-opencl-runtime-4.3-noopencl.patch \
   %D%/packages/patches/ruby-sanitize-system-libxml.patch	\
+  %D%/packages/patches/rustc-1.39.0-src.patch			\
   %D%/packages/patches/rust-coresimd-doctest.patch		\
   %D%/packages/patches/rust-ndarray-remove-blas-src-dep.patch	\
   %D%/packages/patches/rust-ndarray-0.13-remove-blas-src.patch	\
   %D%/packages/patches/rust-nettle-disable-vendor.patch		 \
   %D%/packages/patches/rust-nettle-sys-disable-vendor.patch	 \
-  %D%/packages/patches/rust-reproducible-builds.patch		 \
   %D%/packages/patches/rust-openssl-sys-no-vendor.patch	\
   %D%/packages/patches/sbc-fix-build-non-x86.patch		\
   %D%/packages/patches/sbcl-clml-fix-types.patch		\
diff --git a/gnu/packages/patches/rust-reproducible-builds.patch b/gnu/packages/patches/rust-reproducible-builds.patch
deleted file mode 100644
index ef7bf53b5d..0000000000
--- a/gnu/packages/patches/rust-reproducible-builds.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From b9ca108fcae2b738ca3f0c88c84ae5dc5a6f843f Mon Sep 17 00:00:00 2001
-From: Tim Ryan <id@HIDDEN>
-Date: Mon, 14 May 2018 06:22:21 -0400
-Subject: [PATCH] Support reproducible builds by forcing window.search to use
- stable key ordering. (#692)
-See <https://github.com/rust-lang-nursery/mdBook/pull/692>
----
- src/vendor/mdbook/src/renderer/html_handlebars/search.rs | 4 ++++
- 1 file changed, 4 insertions(+)
-
-diff --git a/src/vendor/mdbook/src/renderer/html_handlebars/search.rs b/src/vendor/mdbook/src/renderer/html_handlebars/search.rs
-index d49772f8b..1ee66a511 100644
---- a/src/vendor/mdbook/src/renderer/html_handlebars/search.rs
-+++ b/src/vendor/mdbook/src/renderer/html_handlebars/search.rs
-@@ -205,6 +205,10 @@ fn write_to_js(index: Index, search_config: &Search) -> Result<String> {
-         searchoptions,
-         index,
-     };
-+
-+    // By converting to serde_json::Value as an intermediary, we use a
-+    // BTreeMap internally and can force a stable ordering of map keys.
-+    let json_contents = serde_json::to_value(&json_contents)?;
-     let json_contents = serde_json::to_string(&json_contents)?;
- 
-     Ok(format!("window.search = {};", json_contents))
diff --git a/gnu/packages/patches/rustc-1.39.0-src.patch b/gnu/packages/patches/rustc-1.39.0-src.patch
new file mode 100644
index 0000000000..7859bd44d5
--- /dev/null
+++ b/gnu/packages/patches/rustc-1.39.0-src.patch
@@ -0,0 +1,99 @@
+# This modified patch is to disable the hunk applying to LLVM, unbundled in Guix.
+
+# Add mrustc slice length intrinsics
+--- src/libcore/intrinsics.rs
++++ src/libcore/intrinsics.rs
+@@ -685,4 +685,8 @@
+     pub fn min_align_of_val<T: ?Sized>(_: &T) -> usize;
+ 
++    /// Obtain the length of a slice pointer
++    #[cfg(rust_compiler="mrustc")]
++    pub fn mrustc_slice_len<T>(pointer: *const [T]) -> usize;
++
+     /// Gets a static string slice containing the name of a type.
+     pub fn type_name<T: ?Sized>() -> &'static str;
+
+--- src/libcore/slice/mod.rs
++++ src/libcore/slice/mod.rs
+@@ -68,5 +68,8 @@
+     pub const fn len(&self) -> usize {
+-        unsafe {
+-            crate::ptr::Repr { rust: self }.raw.len
+-        }
++        #[cfg(not(rust_compiler="mrustc"))]
++        #[cfg_attr(not(bootstrap), allow_internal_unstable(const_fn_union))]
++        const fn len_inner<T>(s: &[T]) -> usize { unsafe { crate::ptr::Repr { rust: s }.raw.len } };
++        #[cfg(rust_compiler="mrustc")]
++        const fn len_inner<T>(s: &[T]) -> usize { unsafe { crate::intrinsics::mrustc_slice_len(s) } }
++        len_inner(self)
+     }
+#
+# Static-link rustc_codegen_llvm so the generated rustc is standalone
+# > Note: Interacts with `rustc-1.39.0-overrides.toml`
+#
+--- src/librustc_interface/util.rs
++++ src/librustc_interface/util.rs
+@@ -421,2 +421,4 @@
+ pub fn get_codegen_sysroot(backend_name: &str) -> fn() -> Box<dyn CodegenBackend> {
++    #[cfg(rust_compiler="mrustc")]
++    { if(backend_name == "llvm") { extern "Rust" { fn __rustc_codegen_backend() -> Box<dyn CodegenBackend>; } return || unsafe { __rustc_codegen_backend() } } }
+     // For now we only allow this function to be called once as it'll dlopen a
+# Disable most architecture intrinsics
+--- src/stdarch/crates/std_detect/src/detect/mod.rs
++++ src/stdarch/crates/std_detect/src/detect/mod.rs
+@@ -74,4 +74,7 @@
+         // this run-time detection logic is never called.
+         #[path = "os/other.rs"]
+         mod os;
++    } else if #[cfg(rust_compiler="mrustc")] {
++        #[path = "os/other.rs"]
++        mod os;
+     } else if #[cfg(any(target_arch = "x86", target_arch = "x86_64"))] {
+--- vendor/ppv-lite86/src/lib.rs
++++ vendor/ppv-lite86/src/lib.rs
+@@ -12,10 +12,10 @@
+-#[cfg(all(feature = "simd", target_arch = "x86_64", not(miri)))]
++#[cfg(all(feature = "simd", target_arch = "x86_64", not(miri), not(rust_compiler="mrustc")))]
+ pub mod x86_64;
+-#[cfg(all(feature = "simd", target_arch = "x86_64", not(miri)))]
++#[cfg(all(feature = "simd", target_arch = "x86_64", not(miri), not(rust_compiler="mrustc")))]
+ use self::x86_64 as arch;
+
+-#[cfg(any(miri, not(all(feature = "simd", any(target_arch = "x86_64")))))]
++#[cfg(any(miri, rust_compiler="mrustc", not(all(feature = "simd", any(target_arch = "x86_64")))))]
+ pub mod generic;
+-#[cfg(any(miri, not(all(feature = "simd", any(target_arch = "x86_64")))))]
++#[cfg(any(miri, rust_compiler="mrustc", not(all(feature = "simd", any(target_arch = "x86_64")))))]
+ use self::generic as arch;
+
+# diff --git a/llvm/include/llvm/Demangle/MicrosoftDemangleNodes.h b/llvm/include/llvm/Demangle/MicrosoftDemangleNodes.h
+# index da9d9d5bfdc0..3d47471f0ef0 100644
+# --- src/llvm-project/llvm/include/llvm/Demangle/MicrosoftDemangleNodes.h
+# +++ src/llvm-project/llvm/include/llvm/Demangle/MicrosoftDemangleNodes.h
+# @@ -16,6 +16,8 @@
+#  #include "llvm/Demangle/DemangleConfig.h"
+#  #include "llvm/Demangle/StringView.h"
+#  #include <array>
+# +#include <cstdint>
+# +#include <string>
+
+#  namespace llvm {
+#  namespace itanium_demangle {
+##
+## gcc (used by mrustc) has 16-byte uint128_t alignment, while rustc uses 8
+##
+#--- src/libsyntax/ast.rs
+#+++ src/libsyntax/ast.rs
+#@@ -986,2 +986,2 @@
+#-#[cfg(target_arch = "x86_64")]
+#-static_assert_size!(Expr, 96);
+#+//#[cfg(target_arch = "x86_64")]
+#+//static_assert_size!(Expr, 96);
+#--- src/librustc/ty/sty.rs
+#+++ src/librustc/ty/sty.rs
+#@@ -2258,2 +2258,2 @@
+#-#[cfg(target_arch = "x86_64")]
+#-static_assert_size!(Const<'_>, 40);
+#+//#[cfg(target_arch = "x86_64")]
+#+//static_assert_size!(Const<'_>, 40);
+
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index fd6233fc94..1a819abf32 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -118,37 +118,43 @@
                                    (package-native-inputs base-rust))))))
 
 ;;; Note: mrustc's only purpose is to be able to bootstap Rust; it's designed
-;;; to be used in source form.
+;;; to be used in source form.  The latest support for bootstrapping from
+;;; 1.39.0 is not yet released so use the latest commit.
+;;; https://github.com/thepowersgang/mrustc/issues/185).
+(define %mrustc-commit "474bec9cfd7862a20e7288cecd7fcf5e18648b9a")
 (define %mrustc-source
-  (let ((name "mrustc")
-        (version "0.9"))
+  (let* ((version "0.9")
+         (commit %mrustc-commit)
+         (revision "1")
+         (name "mrustc"))
     (origin
       (method git-fetch)
       (uri (git-reference
             (url "https://github.com/thepowersgang/mrustc")
-            (commit (string-append "v" version))))
-      (file-name (git-file-name name version))
+            (commit commit)))
+      (file-name (git-file-name name (git-version version revision commit)))
       (sha256
        (base32
-        "194ny7vsks5ygiw7d8yxjmp1qwigd71ilchis6xjl6bb2sj97rd2")))))
+        "1zacz5qia0r457mv74wvrvznnv4az5g2w9j8ji9ssy727wljhvz7")))))
 
-;;; Rust 1.29 is special in that it is built with mrustc, which shortens the
+;;; Rust 1.39 is special in that it is built with mrustc, which shortens the
 ;;; bootstrap path.  Note: the build is non-deterministic.
-(define-public rust-1.29
+(define-public rust-1.39
   (package
     (name "rust")
-    (version "1.29.2")
+    (version "1.39.0")
     (source
      (origin
        (method url-fetch)
        (uri (rust-uri version))
-       (sha256 (base32 "1jb787080z754caa2w3w1amsygs4qlzj9rs1vy64firfmabfg22h"))
+       (sha256 (base32 "0mwkc1bnil2cfyf6nglpvbn2y0zfbv44zfhsd5qg4c9rm6vgd8dl"))
        (modules '((guix build utils)))
        (snippet '(for-each delete-file-recursively
-                           '("src/jemalloc"
-                             "src/llvm"
-                             "src/llvm-emscripten")))
-       (patches (search-patches "rust-reproducible-builds.patch"))))
+                           '("src/llvm-emscripten"
+                             "src/llvm-project"
+                             "vendor/jemalloc-sys/jemalloc")))
+       (patches (search-patches "rustc-1.39.0-src.patch"))
+       (patch-flags '("-p0"))))         ;default is -p1
     (outputs '("out" "cargo"))
     (properties '((timeout . 72000)           ;20 hours
                   (max-silent-time . 18000))) ;5 hours (for armel)
@@ -156,9 +162,7 @@
     (inputs
      `(("libcurl" ,curl)
        ("libssh2" ,libssh2)
-       ;; Use llvm-7, which enables rust to be built reproducibly.
-       ;; Versions newer than 7 fail to compile.
-       ("llvm" ,llvm-7)
+       ("llvm" ,llvm)
        ("openssl" ,openssl)
        ("zlib" ,zlib)))
     (native-inputs
@@ -180,7 +184,10 @@
        (list ,(string-append "RUSTC_TARGET="
                              (or (%current-target-system)
                                  (nix-system->gnu-triplet-for-rust)))
-             ,(string-append "RUSTCSRC=../"))
+             ,(string-append "RUSTC_VERSION=" version)
+             ,(string-append "MRUSTC_TARGET_VER="
+                             (version-major+minor version))
+             "OUTDIR_SUF=")           ;do not add version suffix to output dir
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'patch-reference-to-cc
@@ -191,11 +198,15 @@
                (substitute* (find-files "." "^link.rs$")
                  (("\"cc\".as_ref")
                   (format #f "~s.as_ref" (string-append gcc "/bin/gcc")))))))
-         (add-after 'unpack 'copy-mrustc-and-patch
+         (add-after 'unpack 'setup-mrustc-sources
            (lambda* (#:key inputs #:allow-other-keys)
-             (copy-recursively (assoc-ref inputs "mrustc-source") "mrustc")
-             (invoke "patch" "-p0" "-i" "mrustc/rustc-1.29.0-src.patch")))
-         (add-after 'copy-mrustc-and-patch 'patch-makefiles
+             (copy-recursively (assoc-ref inputs "mrustc-source") "../mrustc")
+             ;; The Makefile of mrustc expects the sources directory of rustc
+             ;; to be at this location, and it simplifies things to make it
+             ;; so.
+             (symlink (getcwd)
+                      (string-append "../mrustc/rustc-" ,version "-src"))))
+         (add-after 'setup-mrustc-sources 'patch-makefiles
            ;; This disables building the (unbundled) LLVM.
            (lambda* (#:key inputs parallel-build? #:allow-other-keys)
              (let ((llvm (assoc-ref inputs "llvm"))
@@ -203,7 +214,7 @@
                                      (if parallel-build?
                                          (number->string (parallel-job-count))
                                          "1"))))
-               (with-directory-excursion "mrustc"
+               (with-directory-excursion "../mrustc"
                  (substitute* '("minicargo.mk"
                                 "run_rustc/Makefile")
                    ;; Use the system-provided LLVM.
@@ -213,27 +224,40 @@
                     "$(LLVM_CONFIG):\n")
                    (("\\$Vcd \\$\\(RUSTCSRC\\)build && \\$\\(MAKE\\).*")
                     "true\n"))
-                 ;; Patch date.
                  (substitute* "Makefile"
-                   (("shell date")
-                    "shell date -d @1"))
+                   ;; Patch date and git obtained version information.
+                   ((" -D VERSION_GIT_FULLHASH=.*")
+                    (string-append
+                     " -D VERSION_GIT_FULLHASH=\\\"" ,%mrustc-commit "\\\""
+                     " -D VERSION_GIT_BRANCH=\\\"master\\\""
+                     " -D VERSION_GIT_SHORTHASH=\\\""
+                     ,(string-take %mrustc-commit 7) "\\\""
+                     " -D VERSION_BUILDTIME="
+                     "\"\\\"Thu, 01 Jan 1970 00:00:01 +0000\\\"\""
+                     " -D VERSION_GIT_ISDIRTY=0\n"))
+                   ;; Do not try to fetch sources from the Internet.
+                   ((": \\$\\(RUSTC_SRC_DL\\)")
+                    ":"))
                  (substitute* "run_rustc/Makefile"
                    (("[$]Vtime ")
                     "$V ")
                    ;; Unlock the number of parallel jobs for cargo.
                    (("-j [[:digit:]]+ ")
                     "")
-                   ;; Patch the shebang of a generated wrapper for rustc, and
-                   ;; make sure that \n newline escapes get interpreted
-                   ;; correctly, specifying the '-e' option of echo.
-                   (("echo '#!/bin/sh")
-                    (string-append "echo -e '#!" (which "sh"))))))))
-         (add-after 'patch-source-shebangs 'patch-cargo-checksums
+                   ;; Patch the shebang of a generated wrapper for rustc
+                   (("#!/bin/sh")
+                    (string-append "#!" (which "sh"))))))))
+         (add-after 'patch-generated-file-shebangs 'patch-cargo-checksums
            (lambda* _
-             (substitute* "src/Cargo.lock"
-               (("(\"checksum .* = )\".*\"" all name)
+             (substitute* "Cargo.lock"
+               (("(checksum = )\".*\"" all name)
                 (string-append name "\"" ,%cargo-reference-hash "\"")))
-             (generate-all-checksums "src/vendor")))
+             (generate-all-checksums "vendor")))
+         (add-before 'configure 'configure-cargo-home
+           (lambda _
+             (let ((cargo-home (string-append (getcwd) "/.cargo")))
+               (mkdir-p cargo-home)
+               (setenv "CARGO_HOME" cargo-home))))
          (replace 'configure
            (lambda _
              (setenv "CC" "gcc")
@@ -242,29 +266,35 @@
              (setenv "LLVM_LINK_SHARED" "1")
              ;; This is a workaround for
              ;; https://github.com/thepowersgang/mrustc/issues/138.
-             (setenv "LIBSSH2_SYS_USE_PKG_CONFIG" "yes")))
+             (setenv "LIBSSH2_SYS_USE_PKG_CONFIG" "yes")
+             ;; rustc still insists on having 'cc' on PATH in some places
+             ;; (e.g. when building the 'test' library crate).
+             (mkdir-p "/tmp/bin")
+             (symlink (which "gcc") "/tmp/bin/cc")
+             (setenv "PATH" (string-append "/tmp/bin:" (getenv "PATH")))))
          (delete 'patch-generated-file-shebangs)
          (replace 'build
            (lambda* (#:key make-flags parallel-build? #:allow-other-keys)
-             (let* ((job-count (if parallel-build?
+             (let* ((src-root (getcwd))
+                    (job-count (if parallel-build?
                                    (parallel-job-count)
                                    1))
-                    (job-spec (string-append "-j" (number->string job-count)))
-                    (make-flags* (cons job-spec make-flags)))
+                    (job-spec (string-append "-j" (number->string job-count))))
                ;; Adapted from:
                ;; https://github.com/dtolnay/bootstrap/blob/master/build.sh.
-               (chdir "mrustc")
+               (chdir "../mrustc")
                (setenv "MINICARGO_FLAGS" job-spec)
                (setenv "CARGO_BUILD_JOBS" (number->string job-count))
                (display "Building rustc...\n")
                (apply invoke "make" "-f" "minicargo.mk" "output/rustc"
-                      make-flags*)
+                      job-spec make-flags)
                (display "Building cargo...\n")
                (apply invoke "make" "-f" "minicargo.mk" "output/cargo"
-                      make-flags*)
+                      job-spec make-flags)
                (display "Rebuilding stdlib with rustc...\n")
-               (with-directory-excursion "run_rustc"
-                 (apply invoke "make" "RUST_SRC=../../src/" make-flags*)))))
+               ;; Note: invoking make with -j would cause a compiler error
+               ;; (unexpected panic).
+               (apply invoke "make" "-C" "run_rustc" make-flags))))
          (replace 'install
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -291,31 +321,43 @@ safety and thread safety guarantees.")
     ;; Dual licensed.
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-1.30
+(define-public rust-1.40
   (package
     (name "rust")
-    (version "1.30.1")
-    (source (origin
-              (inherit (package-source rust-1.29))
-              (uri (rust-uri version))
-              (sha256
-               (base32 "0aavdc1lqv0cjzbqwl5n59yd0bqdlhn0zas61ljf38yrvc18k8rn"))
-              (snippet '(for-each delete-file-recursively
-                                  '("src/jemalloc"
-                                    "src/llvm"
-                                    "src/llvm-emscripten"
-                                    "src/tools/clang"
-                                    "src/tools/lldb")))))
+    (version "1.40.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rust-uri version))
+       (sha256 (base32 "1ba9llwhqm49w7sz3z0gqscj039m53ky9wxzhaj11z6yg1ah15yx"))
+       (modules '((guix build utils)))
+       ;; llvm-emscripten is no longer bundled, as that codegen backend got
+       ;; removed.
+       (snippet '(for-each delete-file-recursively
+                           '("src/llvm-project"
+                             "vendor/jemalloc-sys/jemalloc")))))
     (outputs '("out" "cargo"))
     (properties '((timeout . 72000)           ;20 hours
                   (max-silent-time . 18000))) ;5 hours (for armel)
     (build-system gnu-build-system)
+    ;; Rust 1.40 does not ship rustc-internal libraries by default (see
+    ;; rustc-dev-split). This means that librustc_driver.so is no longer
+    ;; available in lib/rustlib/$target/lib, which is the directory
+    ;; included in the runpath of librustc_codegen_llvm-llvm.so.  This is
+    ;; detected by our validate-runpath phase as an error, but it is
+    ;; harmless as the codegen backend is loaded by librustc_driver.so
+    ;; itself, which must at that point have been already loaded.  As such,
+    ;; we skip validating the runpath for Rust 1.40.  Rust 1.41 stopped
+    ;; putting the codegen backend in a separate library, which makes this
+    ;; workaround only necessary for this release.
     (arguments
-     ;; Only the final Rust is tested, not the intermediate bootstrap ones,
-     ;; for performance and simplicity.
-     `(#:tests? #f
+     `(#:validate-runpath? #f
+       ;; Only the final Rust is tested, not the intermediate bootstrap ones,
+       ;; for performance and simplicity.
+       #:tests? #f
        #:imported-modules ,%cargo-utils-modules ;for `generate-all-checksums'
-       #:modules ((guix build utils)
+       #:modules ((guix build cargo-utils)
+                  (guix build utils)
                   (guix build gnu-build-system)
                   (ice-9 match)
                   (srfi srfi-1))
@@ -328,6 +370,11 @@ safety and thread safety guarantees.")
              (setenv "CC" (search-input-file inputs "/bin/gcc"))
              ;; The Guix LLVM package installs only shared libraries.
              (setenv "LLVM_LINK_SHARED" "1")))
+         (add-after 'unpack 'add-cc-shim-to-path
+           (lambda _
+             (mkdir-p "/tmp/bin")
+             (symlink (which "gcc") "/tmp/bin/cc")
+             (setenv "PATH" (string-append "/tmp/bin:" (getenv "PATH")))))
          (add-after 'unpack 'neuter-tidy
            ;; We often need to patch tests with various Guix-specific paths.
            ;; This often increases the line length and makes tidy, rustc's
@@ -341,13 +388,6 @@ safety and thread safety guarantees.")
              (substitute* "src/bootstrap/builder.rs"
                ((".*::Tidy,.*")
                 ""))))
-         (add-after 'patch-generated-file-shebangs 'patch-cargo-checksums
-           (lambda* _
-             (use-modules (guix build cargo-utils))
-             (substitute* "src/Cargo.lock"
-               (("(\"checksum .* = )\".*\"" all name)
-                (string-append name "\"" ,%cargo-reference-hash "\"")))
-             (generate-all-checksums "src/vendor")))
          (replace 'configure
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -358,6 +398,14 @@ safety and thread safety guarantees.")
                     (cargo (assoc-ref inputs "cargo-bootstrap"))
                     (llvm (assoc-ref inputs "llvm"))
                     (jemalloc (assoc-ref inputs "jemalloc")))
+               ;; The compiler is no longer directly built against jemalloc, but
+               ;; rather via the jemalloc-sys crate (which vendors the jemalloc
+               ;; source). To use jemalloc we must enable linking to it (otherwise
+               ;; it would use the system allocator), and set an environment
+               ;; variable pointing to the compiled jemalloc.
+               (setenv "JEMALLOC_OVERRIDE"
+                       (search-input-file inputs
+                                          "/lib/libjemalloc_pic.a"))
                (call-with-output-file "config.toml"
                  (lambda (port)
                    (display (string-append "
@@ -373,6 +421,7 @@ submodules = false
 prefix = \"" out "\"
 sysconfdir = \"etc\"
 [rust]
+jemalloc=true
 default-linker = \"" gcc "/bin/gcc" "\"
 channel = \"stable\"
 rpath = true
@@ -381,7 +430,6 @@ llvm-config = \"" llvm "/bin/llvm-config" "\"
 cc = \"" gcc "/bin/gcc" "\"
 cxx = \"" gcc "/bin/g++" "\"
 ar = \"" binutils "/bin/ar" "\"
-jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
 [dist]
 ") port))))))
          (replace 'build
@@ -390,20 +438,25 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
                               "-j" (if parallel-build?
                                        (number->string (parallel-job-count))
                                        "1"))))
-               (invoke "./x.py" job-spec "build")
-               (invoke "./x.py" job-spec "build" "src/tools/cargo"))))
+               (invoke "./x.py" job-spec "build" "--stage=1"
+                       "src/libstd"
+                       "src/tools/cargo"))))
          (replace 'install
            (lambda* (#:key outputs #:allow-other-keys)
-             (let ((out (assoc-ref outputs "out"))
-                   (cargo-out (assoc-ref outputs "cargo")))
-               (mkdir-p out)
-               (invoke "./x.py" "install")
-               (substitute* "config.toml"
-                 ;; Adjust the prefix to the 'cargo' output.
-                 (("prefix = \"[^\"]*\"")
-                  (format #f "prefix = ~s" cargo-out)))
-               (mkdir-p cargo-out)
-               (invoke "./x.py" "install" "cargo"))))
+             (let* ((out (assoc-ref outputs "out"))
+                    (cargo-out (assoc-ref outputs "cargo"))
+                    (gnu-triplet ,(or (%current-target-system)
+                                      (nix-system->gnu-triplet-for-rust)))
+                    (build (string-append "build/" gnu-triplet)))
+               ;; Manually do the installation instead of calling './x.py
+               ;; install', as that is slow and needlessly rebuilds some
+               ;; things.
+               (install-file (string-append build "/stage1/bin/rustc")
+                             (string-append out "/bin"))
+               (copy-recursively (string-append build "/stage1/lib")
+                                 (string-append out "/lib"))
+               (install-file (string-append build "/stage1-tools-bin/cargo")
+                             (string-append cargo-out "/bin")))))
          (add-after 'install 'delete-install-logs
            (lambda* (#:key outputs #:allow-other-keys)
              (for-each (lambda (f)
@@ -427,12 +480,12 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
      `(("cmake" ,cmake-minimal)
        ("pkg-config" ,pkg-config)       ; For "cargo"
        ("python" ,python-wrapper)
-       ("rustc-bootstrap" ,rust-1.29)
-       ("cargo-bootstrap" ,rust-1.29 "cargo")
+       ("rustc-bootstrap" ,rust-1.39)
+       ("cargo-bootstrap" ,rust-1.39 "cargo")
        ("which" ,which)))
     (inputs
-     `(("jemalloc" ,jemalloc-4.5.0)
-       ("llvm" ,llvm-7)
+     `(("jemalloc" ,jemalloc)
+       ("llvm" ,llvm)
        ("openssl" ,openssl)
        ("libssh2" ,libssh2)             ; For "cargo"
        ("libcurl" ,curl)))              ; For "cargo"
@@ -450,7 +503,7 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
             (variable "LIBRARY_PATH")
             (files '("lib" "lib64")))))
     (supported-systems
-     (delete "i686-linux"  ; fails to build, see bug #35519
+     (delete "i686-linux"               ; fails to build, see bug #35519
              %supported-systems))
     (synopsis "Compiler for the Rust progamming language")
     (description "Rust is a systems programming language that provides memory
@@ -459,182 +512,26 @@ safety and thread safety guarantees.")
     ;; Dual licensed.
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-1.31
-  (rust-bootstrapped-package
-   rust-1.30 "1.31.1" "0sk84ff0cklybcp0jbbxcw7lk7mrm6kb6km5nzd6m64dy0igrlli"))
-
-(define-public rust-1.32
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.31 "1.32.0"
-                    "0ji2l9xv53y27xy72qagggvq47gayr5lcv2jwvmfirx029vlqnac")))
-    (package
-      (inherit base-rust)
-      (source
-       (origin
-         (inherit (package-source base-rust))
-         (snippet '(for-each delete-file-recursively
-                             '("src/llvm"
-                               "src/llvm-emscripten"
-                               "src/tools/clang"
-                               "src/tools/lldb"
-                               "vendor/jemalloc-sys/jemalloc")))
-          ;; the vendor directory has moved to the root of
-          ;; the tarball, so we have to strip an extra prefix
-         (patch-flags '("-p2"))))
-      (arguments
-       (substitute-keyword-arguments (package-arguments base-rust)
-         ;; The test suite fails due to LLVM 7, required for the build to be
-         ;; reproducible.
-         ((#:tests? _ #t)
-          #f)
-         ((#:phases phases)
-          `(modify-phases ,phases
-             ;; Cargo.lock and the vendor/ directory have been moved to the
-             ;; root of the rust tarball
-             (replace 'patch-cargo-checksums
-               (lambda* _
-                 (use-modules (guix build cargo-utils))
-                 (substitute* "Cargo.lock"
-                   (("(\"checksum .* = )\".*\"" all name)
-                    (string-append name "\"" ,%cargo-reference-hash "\"")))
-                 (generate-all-checksums "vendor")))
-             (add-after 'configure 'override-jemalloc
-               (lambda* (#:key inputs #:allow-other-keys)
-                 ;; The compiler is no longer directly built against jemalloc,
-                 ;; but rather via the jemalloc-sys crate (which vendors the
-                 ;; jemalloc source). To use jemalloc we must enable linking to
-                 ;; it (otherwise it would use the system allocator), and set
-                 ;; an environment variable pointing to the compiled jemalloc.
-                 (substitute* "config.toml"
-                   (("^jemalloc =.*$") "")
-                   (("[[]rust[]]") "\n[rust]\njemalloc=true\n"))
-                 (setenv "JEMALLOC_OVERRIDE"
-                         (search-input-file inputs
-                                            "/lib/libjemalloc_pic.a")))))))))))
-
-(define-public rust-1.33
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.32 "1.33.0"
-                    "152x91mg7bz4ygligwjb05fgm1blwy2i70s2j03zc9jiwvbsh0as")))
-    (package
-      (inherit base-rust)
-      (source
-       (origin
-         (inherit (package-source base-rust))
-         (patches '())
-         (patch-flags '("-p1"))))
-      (inputs
-       ;; Upgrade jemalloc.
-       (alist-replace "jemalloc" (list jemalloc) (package-inputs base-rust))))))
-
-(define-public rust-1.34
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.33 "1.34.1"
-                    "19s09k7y5j6g3y4d2rk6kg9pvq6ml94c49w6b72dmq8p9lk8bixh")))
-    (package
-      (inherit base-rust)
-      (source
-       (origin
-         (inherit (package-source base-rust))
-         (snippet '(for-each delete-file-recursively
-                             '("src/llvm-emscripten"
-                               "src/llvm-project"
-                               "vendor/jemalloc-sys/jemalloc"))))))))
-
-(define-public rust-1.35
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.34 "1.35.0"
-                    "0bbizy6b7002v1rdhrxrf5gijclbyizdhkglhp81ib3bf5x66kas")))
-    (package
-      (inherit base-rust)
-      (arguments
-       (substitute-keyword-arguments (package-arguments base-rust)
-         ((#:phases phases)
-          `(modify-phases ,phases
-             (delete 'disable-codegen-tests))))))))
-
-(define-public rust-1.36
-  (rust-bootstrapped-package
-   rust-1.35 "1.36.0" "06xv2p6zq03lidr0yaf029ii8wnjjqa894nkmrm6s0rx47by9i04"))
-
-(define-public rust-1.37
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.36 "1.37.0"
-                    "1hrqprybhkhs6d9b5pjskfnc5z9v2l2gync7nb39qjb5s0h703hj")))
-    (package
-      (inherit base-rust)
-      (arguments
-       (substitute-keyword-arguments (package-arguments base-rust)
-         ((#:phases phases)
-          `(modify-phases ,phases
-             (add-before 'configure 'configure-cargo-home
-               (lambda _
-                 (let ((cargo-home (string-append (getcwd) "/.cargo")))
-                   (mkdir-p cargo-home)
-                   (setenv "CARGO_HOME" cargo-home)))))))))))
-
-(define-public rust-1.38
-  (rust-bootstrapped-package
-    rust-1.37 "1.38.0" "101dlpsfkq67p0hbwx4acqq6n90dj4bbprndizpgh1kigk566hk4"))
-
-(define-public rust-1.39
+(define-public rust-1.41
   (let ((base-rust (rust-bootstrapped-package
-                    rust-1.38 "1.39.0"
-                    "0mwkc1bnil2cfyf6nglpvbn2y0zfbv44zfhsd5qg4c9rm6vgd8dl")))
+                    rust-1.40 "1.41.1"
+                    "0ws5x0fxv57fyllsa6025h3q6j9v3m8nb3syl4x0hgkddq0kvj9q")))
     (package
       (inherit base-rust)
       (arguments
        (substitute-keyword-arguments (package-arguments base-rust)
+         ((#:validate-runpath? _ #t)
+          #t)
          ((#:phases phases)
           `(modify-phases ,phases
-             (replace 'patch-cargo-checksums
-               ;; The Cargo.lock format changed.
+             (delete 'add-cc-shim-to-path)
+             (add-after 'patch-generated-file-shebangs 'patch-cargo-checksums
                (lambda* _
-                 (use-modules (guix build cargo-utils))
                  (substitute* "Cargo.lock"
                    (("(checksum = )\".*\"" all name)
                     (string-append name "\"" ,%cargo-reference-hash "\"")))
                  (generate-all-checksums "vendor"))))))))))
 
-(define-public rust-1.40
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.39 "1.40.0"
-                    "1ba9llwhqm49w7sz3z0gqscj039m53ky9wxzhaj11z6yg1ah15yx")))
-    (package
-      (inherit base-rust)
-      (source
-       (origin
-         (inherit (package-source base-rust))
-         ;; llvm-emscripten is no longer bundled, as that codegen backend
-         ;; got removed.
-         (snippet '(for-each delete-file-recursively
-                             '("src/llvm-project"
-                               "vendor/jemalloc-sys/jemalloc")))))
-       ;; Rust 1.40 does not ship rustc-internal libraries by default (see
-       ;; rustc-dev-split). This means that librustc_driver.so is no longer
-       ;; available in lib/rustlib/$target/lib, which is the directory
-       ;; included in the runpath of librustc_codegen_llvm-llvm.so.  This is
-       ;; detected by our validate-runpath phase as an error, but it is
-       ;; harmless as the codegen backend is loaded by librustc_driver.so
-       ;; itself, which must at that point have been already loaded.  As such,
-       ;; we skip validating the runpath for Rust 1.40.  Rust 1.41 stopped
-       ;; putting the codegen backend in a separate library, which makes this
-       ;; workaround only necessary for this release.
-      (arguments (substitute-keyword-arguments (package-arguments base-rust)
-         ((#:validate-runpath? _ #f)
-          #f))))))
-
-(define-public rust-1.41
-  (let ((base-rust (rust-bootstrapped-package
-                    rust-1.40 "1.41.1"
-                    "0ws5x0fxv57fyllsa6025h3q6j9v3m8nb3syl4x0hgkddq0kvj9q")))
-    (package
-      (inherit base-rust)
-      (arguments
-       (substitute-keyword-arguments (package-arguments base-rust)
-         ((#:validate-runpath? _ #t)
-          #t))))))
-
 (define-public rust-1.42
   (rust-bootstrapped-package
    rust-1.41 "1.42.0" "0x9lxs82may6c0iln0b908cxyn1cv7h03n5cmbx3j1bas4qzks6j"))
@@ -687,9 +584,10 @@ safety and thread safety guarantees.")
                                   "-j" (if parallel-build?
                                            (number->string (parallel-job-count))
                                            "1"))))
-                   (invoke "./x.py" job-spec "build")
-                   (invoke "./x.py" job-spec "build" "src/tools/cargo")
-                   (invoke "./x.py" job-spec "build" "src/tools/rustfmt"))))
+                   (invoke "./x.py" job-spec "build"
+                           "library/std" ;rustc
+                           "src/tools/cargo"
+                           "src/tools/rustfmt"))))
              (replace 'check
                ;; Phase overridden to also test rustfmt.
                (lambda* (#:key tests? parallel-build? #:allow-other-keys)
@@ -698,9 +596,10 @@ safety and thread safety guarantees.")
                                     "-j" (if parallel-build?
                                              (number->string (parallel-job-count))
                                              "1"))))
-                     (invoke "./x.py" job-spec "test" "-vv")
-                     (invoke "./x.py" job-spec "test" "src/tools/cargo")
-                     (invoke "./x.py" job-spec "test" "src/tools/rustfmt")))))
+                     (invoke "./x.py" job-spec "test" "-vv"
+                             "library/std"
+                             "src/tools/cargo"
+                             "src/tools/rustfmt")))))
              (replace 'install
                ;; Phase overridden to also install rustfmt.
                (lambda* (#:key outputs #:allow-other-keys)
@@ -717,8 +616,24 @@ safety and thread safety guarantees.")
                  (invoke "./x.py" "install" "rustfmt"))))))))))
 
 (define-public rust-1.47
-  (rust-bootstrapped-package
-    rust-1.46 "1.47.0" "07fqd2vp7cf1ka3hr207dnnz93ymxml4935vp74g4is79h3dz19i"))
+  (let ((base-rust (rust-bootstrapped-package
+                    rust-1.46 "1.47.0"
+                    "07fqd2vp7cf1ka3hr207dnnz93ymxml4935vp74g4is79h3dz19i")))
+    (package/inherit base-rust
+      (arguments
+       (substitute-keyword-arguments (package-arguments base-rust)
+         ((#:phases phases)
+          `(modify-phases ,phases
+             (replace 'build
+               ;; The standard library source location moved in this release.
+               (lambda* (#:key parallel-build? #:allow-other-keys)
+                 (let ((job-spec (string-append
+                                  "-j" (if parallel-build?
+                                           (number->string (parallel-job-count))
+                                           "1"))))
+                   (invoke "./x.py" job-spec "build" "--stage=1"
+                           "library/std"
+                           "src/tools/cargo")))))))))))
 
 (define-public rust-1.48
   (rust-bootstrapped-package
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 6/8] gnu: Build all Rust packages using the latest rustc.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:33:02 +0000
Resent-Message-ID: <handler.50358.B50358.163068313328903 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068313328903
          (code B ref 50358); Fri, 03 Sep 2021 15:33:02 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:32:13 +0000
Received: from localhost ([127.0.0.1]:45776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAq-0007W0-FX
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:13 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:44972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAd-0007UM-6M
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:31:59 -0400
Received: by mail-qv1-f46.google.com with SMTP id eh1so3354789qvb.11
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:31:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=VwxLwLDBtj00yVa/w+Ik6AFWeVphlkuvLYN5CZvnYT8=;
 b=REhxDfkBp0sU1RYj9quHtJxvRsQ6fdePRzQool73NzOR96KtFPFXijELlfIF4e2NSW
 0sp2nyDtK3DPXwAcPfYeJUsTeon45lpKojSfVB/VSLIzyfE8NvN1OnXzzv/QXQhQ8XoA
 vPpv1A0f5eEBrdUOsHryStk7f5Bgnb2gaH7VfYCmterrjoHGDzBx6CZegSfuR6JQ2mDj
 znc0aee41niMeBX9eABOUtF2O52a0KLnnoMKB4bg8XdxnGQWlUSFsW0XfVqsSwudrWtT
 ejIGKl9br6KI9PPL8cQdRzb6v6b+/p5r/JTy6HIeIfCGpQhX+XRZr/5EKTK6BZKu5uZh
 6nRA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=VwxLwLDBtj00yVa/w+Ik6AFWeVphlkuvLYN5CZvnYT8=;
 b=LQNo8arIZcJUCFxfAif0fO4ZmGZ039MvrD0c/ln24PVH0ML4byHhAAR2ItazWaMOyM
 W/bFEaczviukyt1n1vE91oEJmbmYD9BqRmWH8zc5St5TW02gffu8g0vEyU0kaxrnj/yT
 ZywnlgmPirF1JZ0loQdf002iTgs8VkX6oCxCsHwGlSUKgUOR9MvqcL8e0n1vPFN2QeXf
 aKHY7ocGu+ltDlK35RJw1p1Ts2JaEZZNR1FbUxnwQ5hKHNV8vkAVqjpGvjrvVHZHjT28
 FmvXAwkYmvGrkfdaukYa5huOJCVwQHcC7GXTqJ3evV+woGrSMa/coVlP5qoGq/HJ8uHq
 ADRQ==
X-Gm-Message-State: AOAM533ySPQ48SI0TZ1VhDTbrE2CFHAGS+W04pevN1H0kobaY3MGjKaV
 mj31i22P4R18+SGlq9A2VDX/FD06M9c=
X-Google-Smtp-Source: ABdhPJyNjGPUHFTI3tSzxGznHOZPZBQqopGvx2uh+TKRvwPFY2Z0ADwPGHPdUxLpS13vvxNOzuBjFA==
X-Received: by 2002:a05:6214:50d:: with SMTP id
 v13mr4344142qvw.39.1630683113332; 
 Fri, 03 Sep 2021 08:31:53 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.52
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:52 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:14 -0400
Message-Id: <20210903153116.22517-6-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

The older Rusts are made private variables; they shouldn't be used by users as
they are not tested and are only built at stage 1, which makes them unsuitable
to compile Rust applications.

* gnu/packages/crates-io.scm (rust-cargo-0.53)[arguments]: Remove #:rust
argument.
(rust-cxx-1, rust-cxx-build-1, rust-cxx-gen-0.7): Likewise.
* gnu/packages/crates-io.scm
(rust-cxx-gen-0.7, rust-cxxbridge-macro-1, rust-postgres-0.19): Likewise.
(rust-rust-decimal-1, rust-sized-chunks-0.6, rust-socket2-0.4): Likewise.
(rust-tokio-postgres-0.7, rust-im-rc-15): Likewise.
* gnu/packages/gnome.scm (librsvg): Likewise.
* gnu/packages/gnuzilla.scm (mozjs-78): Likewise.
* gnu/packages/rust-apps.scm
(hyperfine, tectonic rust-analyzer, rust-cargo-c): Likewise.
* gnu/packages/shells.scm (nushell): Likewise.
* gnu/packages/syndication.scm (newsboat): Likewise.
* gnu/packages/rust.scm: (rust-1.39, rust-1.40, rust-1.41, rust-1.42)
(rust-1.43, rust-1.44, rust-1.45, rust-1.46, rust-1.47, rust-1.48, rust-1.49)
(rust-1.50, rust-1.51, rust-1.52, rust-1.53, rust-1.54): Make variables private.
---
 gnu/packages/crates-io.scm   | 29 +++++++++--------------------
 gnu/packages/gnome.scm       |  2 --
 gnu/packages/gnuzilla.scm    |  4 ++--
 gnu/packages/rust-apps.scm   | 12 ++++--------
 gnu/packages/rust.scm        | 32 ++++++++++++++++----------------
 gnu/packages/shells.scm      |  3 +--
 gnu/packages/syndication.scm |  1 -
 7 files changed, 32 insertions(+), 51 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 275963c311..af585aeeb4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -7163,7 +7163,6 @@ capabilities")
      `(;; The test suite is disabled as the internal 'cargo-test-macro' and
        ;; 'cargo-test-support' crates are not included in the release.
        #:tests? #f
-       #:rust ,rust-1.52        ;transitively inherited from rust-sized-chunks
        #:cargo-inputs
        (("rust-anyhow" ,rust-anyhow-1)
         ("rust-atty" ,rust-atty-0.2)
@@ -11766,7 +11765,6 @@ attributes.")
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; Cannot compile cxx-test-suite.
-       #:rust ,rust-1.48    ; or newer
        #:cargo-inputs
        (("rust-cc" ,rust-cc-1)
         ("rust-cxxbridge-flags" ,rust-cxxbridge-flags-1)
@@ -11826,8 +11824,7 @@ attributes.")
           "0shmkgv3cnh06ws1p555znj1hh23phynaz73rgnz95gradsdwnwg"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.48    ; or newer
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
         ("rust-codespan-reporting" ,rust-codespan-reporting-0.11)
         ("rust-lazy-static" ,rust-lazy-static-1)
@@ -11887,8 +11884,7 @@ crate into a Cargo build.")
           "08v366jxd2vc8jc2cbvrga0866pwfcaq6hl8yylfx0vhs2n53j53"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.48    ; or newer
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
         ("rust-codespan-reporting" ,rust-codespan-reporting-0.11)
         ("rust-proc-macro2" ,rust-proc-macro2-1)
@@ -11993,8 +11989,7 @@ crate (implementation detail).")
           "0gkwvihw74dh8p3fz3552wnxanrpwmwfy38ylz2z8knjq0y8y4v3"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.48    ; or newer
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-clang-ast" ,rust-clang-ast-0.1)
         ("rust-flate2" ,rust-flate2-1)
         ("rust-memmap" ,rust-memmap-0.7)
@@ -33377,8 +33372,7 @@ UDP.")
           "1hnid1d78zrr8ph12lpvp5b2cpx2fsqqgqs2yn1q23c6g7jix1y7"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.46    ; or later
-       #:tests? #f          ; tests require postgres server.
+     `(#:tests? #f          ; tests require postgres server.
        #:cargo-inputs
        (("rust-bytes" ,rust-bytes-1)
         ("rust-fallible-iterator" ,rust-fallible-iterator-0.2)
@@ -38474,8 +38468,7 @@ password hashing function.")
           "10k58hf367626d4akl7ifyk5qwqphfs5x6z1yay22pkyc6w7q4h1"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.46    ; or later
-       #:tests? #f          ; not all test files included.
+     `(#:tests? #f          ; not all test files included.
        #:cargo-inputs
        (("rust-arbitrary" ,rust-arbitrary-1)
         ("rust-arrayvec" ,rust-arrayvec-0.5)
@@ -43600,8 +43593,7 @@ variants in pure Rust.")
          "07ix5fsdnpf2xsb0k5rbiwlmsicm2237fcx7blirp9p7pljr5mhn"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52                ;requires the "if in const fn" feature
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-arbitrary" ,rust-arbitrary-1)
         ("rust-array-ops" ,rust-array-ops-0.1)
         ("rust-bitmaps" ,rust-bitmaps-2)
@@ -44255,8 +44247,7 @@ algorithm.  Includes streaming compression and decompression.")
           "18ny6m1gnf6cwp5ax0b5hr36w6yg16z7faj76b31aq2jghhgqgcy"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.46    ; or later
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
         ("rust-winapi" ,rust-winapi-0.3))))
     (home-page "https://github.com/rust-lang/socket2")
@@ -49630,8 +49621,7 @@ OpenSSL.")
           "12rb390i3af7zb0z2idhaf6l2m6snypwdiwjw84rmyz4qy1i6ard"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.46
-       #:tests? #f                      ;require postgresql
+     `(#:tests? #f                      ;require postgresql
        #:cargo-inputs
        (("rust-async-trait" ,rust-async-trait-0.1)
         ("rust-byteorder" ,rust-byteorder-1)
@@ -56716,8 +56706,7 @@ configuration file and/or environment variables.")
          "0gsgcs1nn38r40973l6zr1v4d85f4s9qyl32n5f20jphf5z9ba1w"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52                ;for rust-sized-chunks
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-arbitrary" ,rust-arbitrary-0.4)
         ("rust-bitmaps" ,rust-bitmaps-2)
         ("rust-proptest" ,rust-proptest-0.9)
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index cae6e1aa0b..e426902a2f 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -3365,8 +3365,6 @@ for dealing with different structured file formats.")
     (outputs '("out" "doc"))
     (arguments
      `(#:install-source? #f
-       ;; XXX: compiling librsvg_c_api hangs forever with 1.49.
-       #:rust ,rust-1.48
        #:modules
        ((guix build cargo-build-system)
         (guix build utils)
diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index a455022d6d..3a83cce22c 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -547,8 +547,8 @@ in C/C++.")
        ("perl" ,perl)
        ("pkg-config" ,pkg-config)
        ("python" ,python-3)
-       ("rust" ,rust-1.41)
-       ("cargo" ,rust-1.41 "cargo")))
+       ("rust" ,rust)
+       ("cargo" ,rust "cargo")))
     (inputs
      `(("icu4c" ,icu4c)
        ("readline" ,readline)
diff --git a/gnu/packages/rust-apps.scm b/gnu/packages/rust-apps.scm
index 72148947e5..fa6ddde345 100644
--- a/gnu/packages/rust-apps.scm
+++ b/gnu/packages/rust-apps.scm
@@ -393,8 +393,7 @@ characters, ASCII whitespace characters, other ASCII characters and non-ASCII.")
           "0m5lrvx6wwkxqdc5digm1k4diiaqcg5j4pia77s5nw1aam7k51hy"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.46
-       #:modules ((guix build cargo-build-system)
+     `(#:modules ((guix build cargo-build-system)
                   (guix build utils)
                   (srfi srfi-26))
        #:cargo-inputs
@@ -659,8 +658,7 @@ gitignore rules.")
         (base32 "0rjkfmbam81anpdqs2qafcmd5bf7y898c8a7iqqqwkbl1hfw4sqs"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52
-       #:cargo-build-flags '("--release" "--features" "external-harfbuzz")
+     `(#:cargo-build-flags '("--release" "--features" "external-harfbuzz")
        #:cargo-inputs
        (("rust-atty" ,rust-atty-0.2)
         ("rust-byte-unit" ,rust-byte-unit-4)
@@ -838,8 +836,7 @@ runs a command whenever it detects modifications.")
          "06bc3s5kjwpyr2cq79p0306a9bqp3xp928d750ybby9npq2dvj3z"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52
-       #:install-source? #f             ; virtual manifest
+     `(#:install-source? #f             ; virtual manifest
        #:cargo-test-flags
        '("--release" "--"
          "--skip=tests::test_version_check"         ;; It need rustc's version
@@ -966,8 +963,7 @@ support for Rust.")
           "0fwdxhdj2963xr6xfqr56i7hikhsdv562vgxq2dj3h2mi3dil1k6"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52                ;inherited from rust-cargo
-       #:cargo-inputs
+     `(#:cargo-inputs
        (("rust-cbindgen" ,rust-cbindgen-0.19)
         ("rust-cargo" ,rust-cargo-0.53) ;
         ("rust-anyhow" ,rust-anyhow-1)
diff --git a/gnu/packages/rust.scm b/gnu/packages/rust.scm
index 36c9b4d012..ac5da3ae0f 100644
--- a/gnu/packages/rust.scm
+++ b/gnu/packages/rust.scm
@@ -139,7 +139,7 @@
 
 ;;; Rust 1.39 is special in that it is built with mrustc, which shortens the
 ;;; bootstrap path.  Note: the build is non-deterministic.
-(define-public rust-1.39
+(define rust-1.39
   (package
     (name "rust")
     (version "1.39.0")
@@ -321,7 +321,7 @@ safety and thread safety guarantees.")
     ;; Dual licensed.
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-1.40
+(define rust-1.40
   (package
     (name "rust")
     (version "1.40.0")
@@ -512,7 +512,7 @@ safety and thread safety guarantees.")
     ;; Dual licensed.
     (license (list license:asl2.0 license:expat))))
 
-(define-public rust-1.41
+(define rust-1.41
   (let ((base-rust (rust-bootstrapped-package
                     rust-1.40 "1.41.1"
                     "0ws5x0fxv57fyllsa6025h3q6j9v3m8nb3syl4x0hgkddq0kvj9q")))
@@ -532,21 +532,21 @@ safety and thread safety guarantees.")
                     (string-append name "\"" ,%cargo-reference-hash "\"")))
                  (generate-all-checksums "vendor"))))))))))
 
-(define-public rust-1.42
+(define rust-1.42
   (rust-bootstrapped-package
    rust-1.41 "1.42.0" "0x9lxs82may6c0iln0b908cxyn1cv7h03n5cmbx3j1bas4qzks6j"))
 
-(define-public rust-1.43
+(define rust-1.43
   (rust-bootstrapped-package
    rust-1.42 "1.43.0" "18akhk0wz1my6y9vhardriy2ysc482z0fnjdcgs9gy59kmnarxkm"))
 
 ;; This version requires llvm <= 11.
-(define-public rust-1.44
+(define rust-1.44
   (rust-bootstrapped-package
    rust-1.43 "1.44.1"
    "0ww4z2v3gxgn3zddqzwqya1gln04p91ykbrflnpdbmcd575n8bky"))
 
-(define-public rust-1.45
+(define rust-1.45
   (let ((base-rust (rust-bootstrapped-package
                     rust-1.44 "1.45.2"
                     "0273a1g3f59plyi1n0azf21qjzwml1yqdnj5z472crz37qggr8xp")))
@@ -562,11 +562,11 @@ safety and thread safety guarantees.")
                    (("linker.env\\(\"LC_ALL\", \"C\"\\);")
                     "linker.env(\"LC_ALL\", \"en_US.UTF-8\");")))))))))))
 
-(define-public rust-1.46
+(define rust-1.46
   (rust-bootstrapped-package
    rust-1.45 "1.46.0" "0a17jby2pd050s24cy4dfc0gzvgcl585v3vvyfilniyvjrqknsid"))
 
-(define-public rust-1.47
+(define rust-1.47
   (let ((base-rust (rust-bootstrapped-package
                     rust-1.46 "1.47.0"
                     "07fqd2vp7cf1ka3hr207dnnz93ymxml4935vp74g4is79h3dz19i")))
@@ -586,25 +586,25 @@ safety and thread safety guarantees.")
                            "library/std"
                            "src/tools/cargo")))))))))))
 
-(define-public rust-1.48
+(define rust-1.48
   (rust-bootstrapped-package
    rust-1.47 "1.48.0" "0fz4gbb5hp5qalrl9lcl8yw4kk7ai7wx511jb28nypbxninkwxhf"))
 
-(define-public rust-1.49
+(define rust-1.49
   (rust-bootstrapped-package
    rust-1.48 "1.49.0" "0yf7kll517398dgqsr7m3gldzj0iwsp3ggzxrayckpqzvylfy2mm"))
 
-(define-public rust-1.50
+(define rust-1.50
   (rust-bootstrapped-package
    rust-1.49 "1.50.0" "0pjs7j62maiyvkmhp9zrxl528g2n0fphp4rq6ap7aqdv0a6qz5wm"))
 
-(define-public rust-1.51
+(define rust-1.51
   (rust-bootstrapped-package
    rust-1.50 "1.51.0" "0ixqkqglv3isxbvl4ldr4byrkx692wghsz3fasy1pn5kr2prnsvs"))
 
 ;;; The LLVM requiriment has been bumped to version 10 in Rust 1.52.  Use the
 ;;; latest available.
-(define-public rust-1.52
+(define rust-1.52
   (let ((base-rust (rust-bootstrapped-package
                     rust-1.51 "1.52.1"
                     "165zs3xzp9dravybwslqs1qhn35agp6wacmzpymqg3qfdni26vrs")))
@@ -613,11 +613,11 @@ safety and thread safety guarantees.")
       (inputs (alist-replace "llvm" (list llvm-12)
                              (package-inputs base-rust))))))
 
-(define-public rust-1.53
+(define rust-1.53
   (rust-bootstrapped-package
    rust-1.52 "1.53.0" "1f95p259dfp5ca118bg107rj3rqwlswy65dxn3hg8sqgl4wwmxsw"))
 
-(define-public rust-1.54
+(define rust-1.54
   (let ((base-rust
          (rust-bootstrapped-package
           rust-1.53 "1.54.0"
diff --git a/gnu/packages/shells.scm b/gnu/packages/shells.scm
index 68a4a401f6..66315dd3be 100644
--- a/gnu/packages/shells.scm
+++ b/gnu/packages/shells.scm
@@ -969,8 +969,7 @@ files and text.")
         (base32 "0p5whwx6wk9k7mrxhr7azrppbj9mv53hd4bl1cgygxz231aq8337"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:rust ,rust-1.52
-       #:tests? #false                  ;missing files
+     `(#:tests? #false                  ;missing files
        #:features '("extra")
        #:cargo-inputs
        (("rust-ctrlc" ,rust-ctrlc-3)
diff --git a/gnu/packages/syndication.scm b/gnu/packages/syndication.scm
index 215e8e32cb..eb634303f6 100644
--- a/gnu/packages/syndication.scm
+++ b/gnu/packages/syndication.scm
@@ -246,7 +246,6 @@ cards.")
                   (guix build utils)
                   ((guix build gnu-build-system) #:prefix gnu:))
        #:vendor-dir "vendor"
-       #:rust ,rust-1.48    ; or newer
        #:install-source? #f
        #:cargo-inputs
        (("rust-backtrace" ,rust-backtrace-0.3)
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 7/8] gnu: mozjs-78: Update to 78.13.0.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:33:03 +0000
Resent-Message-ID: <handler.50358.B50358.163068313328910 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068313328910
          (code B ref 50358); Fri, 03 Sep 2021 15:33:03 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:32:13 +0000
Received: from localhost ([127.0.0.1]:45778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAr-0007W8-5C
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:13 -0400
Received: from mail-qv1-f42.google.com ([209.85.219.42]:37838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAf-0007UO-Al
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:02 -0400
Received: by mail-qv1-f42.google.com with SMTP id z7so3373913qvi.4
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:32:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=hWHiWbIUGIq0VuNwiDCQq23NOk+30e/SH9dE5DJOxIE=;
 b=Ol78faCiBxonfmvKn5MF/eWZtsYZ4D7N+kz9Re+kDRDEERDiLVtNF4HAzDC35YvYlZ
 ErE2OITnbijUwg/r4CSoYefKkrn+aimPNQokVEUSmF5ld2XGoIsaRDJDkHEtF69Kp6Sk
 ovKXt5Z6hQ8lZKrUExznFKA+kxIbrW0BjQBXeZbvmrcEh2Rr3NyB7fboZfgEethSXtS/
 VNvsQKzNYtn+58HtTsLVktDSpQygUoWMgEk8v4GQ9XFoES2hgtr3eGK7EPbP1eXnXEW6
 7IZbAKe6M+nOhtcT9uMhnxDhbmQgP717pPb+cjpcVGjiD7n82xgP4ro96iOQzatMLEFJ
 rdmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=hWHiWbIUGIq0VuNwiDCQq23NOk+30e/SH9dE5DJOxIE=;
 b=Alt+H54kLgrJIZ63f9fBFMWtqudR9+BrAB8XbU7Lllw31+1T1jRUI9EVNszcuhFgY5
 yelA/QAt5VwjIPryWp1biK6BdQKOsGzcLyiDGa3VAQKsjhMOZJKBG1gYFv8lytpkBv4Y
 zCpw+CYlqC5RbBPhl1roJ6O0lEllCD/WocAJweT2dh7TJ7dJwAXPm1yz1GSt4SWfuqZS
 XKjUXkO8ibj3P6YCWWAozr1n2Akvvrf3aU2U712plHY1UkJLkH5WYtwc36CrGqdO2AKn
 BvPhnY+QR6+4Fy4wUbZ8oXCLIkQM34wM0avESS8Wxu2lIiHZ6Ts8nUsfyYJEFporiXzM
 boTw==
X-Gm-Message-State: AOAM530wr3DMnntp0MfrRzas3pVXckoB5IAbQRTNkKJEL0RrvQN92CAQ
 pPE/3Hnk9763DA3AcTyXvRu24WsTCBI=
X-Google-Smtp-Source: ABdhPJyoHOTXP3rRMtiHc2dvepN7XkLMNus0A3gmfjrGP8lacKmPMTd2LMevh9F8/Lu6GJWrtS3QLA==
X-Received: by 2002:ad4:55ac:: with SMTP id f12mr4034135qvx.34.1630683114719; 
 Fri, 03 Sep 2021 08:31:54 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.53
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:54 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:15 -0400
Message-Id: <20210903153116.22517-7-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This resolves a build failure since updating the package to build with latest
Rust (1.54).

* gnu/packages/gnuzilla.scm (mozjs-78): Update to 78.13.0.
---
 gnu/packages/gnuzilla.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 3a83cce22c..3daffb5431 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -415,7 +415,7 @@ in C/C++.")
 (define-public mozjs-78
   (package
     (inherit mozjs-60)
-    (version "78.10.1")
+    (version "78.13.0")
     (source (origin
               (method url-fetch)
               ;; TODO: Switch to IceCat source once available on ftp.gnu.org.
@@ -424,7 +424,7 @@ in C/C++.")
                                   version "esr.source.tar.xz"))
               (sha256
                (base32
-                "0gyg2p6i1wmmfghwg13pp6fj8j8xz6c14f6bbnf4pf0f5c3la7y4"))))
+                "0v2g5clp9qlsbqfjb6yz614nq8x8c4k1p6m4axyv6g27qbiaky8r"))))
     (arguments
      `(#:imported-modules ,%cargo-utils-modules ;for `generate-all-checksums'
        #:modules ((guix build cargo-utils)
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 8/8] gnu: fontconfig: Add a search path for XDG_DATA_DIRS.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 15:33:03 +0000
Resent-Message-ID: <handler.50358.B50358.163068313428916 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50358 <at> debbugs.gnu.org
Cc: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163068313428916
          (code B ref 50358); Fri, 03 Sep 2021 15:33:03 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 15:32:14 +0000
Received: from localhost ([127.0.0.1]:45780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBAr-0007WF-Ji
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:13 -0400
Received: from mail-qk1-f169.google.com ([209.85.222.169]:41646)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mMBAg-0007UT-P5
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 11:32:03 -0400
Received: by mail-qk1-f169.google.com with SMTP id bk29so6143344qkb.8
 for <50358 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 08:32:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=3BTmZGT6XrD3BBw53KoW2+hG6S/uckRdVi+rKc/um6Y=;
 b=OUhD0LMYCcVspxiuxXQmmu+jpUJYHqK1nWlrvvSh17V4DQY2VGpId/pxhRm6d0Mi/E
 O9Pm9hcEOL3D3D6ZJ769LznUIRJ43IYxC5WWxEW4omq5umqqrUngTN4vQspXFnTUw02k
 qopTx9eEf3kafQIdW2CnRK+VfhaFMPA2tIgbguOXo43LqprMYq8yomyx0xiLsJqoC71p
 lwagIOLVztagSqR7Zg4DzORW/CUI7JnYZqp/D1qFYuyEi5qvJDS9gInNgdsYLxZs1heM
 Jx6QRd1g1XMkh1jax6IIiUqgOVi6N/8Z79Q+apSdXULrGjTvTat8orU3Q7qzA3rUkha3
 070A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=3BTmZGT6XrD3BBw53KoW2+hG6S/uckRdVi+rKc/um6Y=;
 b=Wg/3H1Ha1uOGdYi9MfcE05WBNvwP8pCFtykZL2JSKAmLs0xQ+WLGV7Vv3iZL6T5WN8
 JF7VL0frPLoN4z0CgRszo5madqCk8hdgkmz1MB2LgUeHnw4s5/S66SZa90EL3mlpvjLB
 gwg1rO6iqlJPB8HeEJuZiPwVjrKvaDb0nAOUgFsJjkU2lARfL7xhli9tztevv73ZWcsi
 5al+tbinQkjEWFNKHHCS98VhbcNvPO83NF+2cIRdFg7tjRBa0b7GCfs6sRYaZZqwpe9S
 fGSXFW1M8nqhKUzeB/cNTqelJAW6SuQyzBP5w/8CFVvJt0IbIYU74VN/dCHlS6pQV9Ay
 u6Vw==
X-Gm-Message-State: AOAM533i3YMbW+LIUx1w/0mKxWvjKBMsw9MHPiQXuoxcQ9LBiQotHiJK
 hdFox7JWb/U9O/yRoIwaSlDPPBVp9/g=
X-Google-Smtp-Source: ABdhPJzV7hMak5LVULCt2GTFvWrhEcAP51em8KEd7++NMixvymu+69TolAf/Znz1z/No+MOvAm33qg==
X-Received: by 2002:a05:620a:a93:: with SMTP id
 v19mr3955477qkg.185.1630683116933; 
 Fri, 03 Sep 2021 08:31:56 -0700 (PDT)
Received: from localhost.localdomain ([207.35.94.150])
 by smtp.gmail.com with ESMTPSA id b25sm3973128qka.23.2021.09.03.08.31.56
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 03 Sep 2021 08:31:56 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Date: Fri,  3 Sep 2021 11:31:16 -0400
Message-Id: <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fixes <https://issues.guix.gnu.org/31403>.

* gnu/packages/fontutils.scm (fontconfig)[source]: Fix indentation.
[configure-flags]: Drop the "--with-add-fonts" configure option as it's no
longer necessary/desirable to special case the system and user profiles.
[native-search-paths]: New search path.
---
 gnu/packages/fontutils.scm | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

diff --git a/gnu/packages/fontutils.scm b/gnu/packages/fontutils.scm
index 8e0980dd95..9a5cdc1cb6 100644
--- a/gnu/packages/fontutils.scm
+++ b/gnu/packages/fontutils.scm
@@ -327,14 +327,13 @@ Font Format (WOFF).")
      (name "fontconfig-minimal")
      (version "2.13.94")
      (source (origin
-            (method url-fetch)
-            (uri (string-append
-                  "https://www.freedesktop.org/software/"
-                  "fontconfig/release/fontconfig-" version ".tar.xz"))
-            (sha256
-             (base32
-              "0g004r0bkkqz00mpm3svnnxn7d83158q0yb9ggxryizxfg5m5w55"))
-             (patches (search-patches "fontconfig-cache-ignore-mtime.patch"))))
+               (method url-fetch)
+               (uri (string-append
+                     "https://www.freedesktop.org/software/"
+                     "fontconfig/release/fontconfig-" version ".tar.xz"))
+               (sha256 (base32
+                        "0g004r0bkkqz00mpm3svnnxn7d83158q0yb9ggxryizxfg5m5w55"))
+               (patches (search-patches "fontconfig-cache-ignore-mtime.patch"))))
      (build-system gnu-build-system)
      ;; In Requires or Requires.private of fontconfig.pc.
      (propagated-inputs `(("expat" ,expat)
@@ -356,12 +355,7 @@ Font Format (WOFF).")
               ;; register the default fonts
               (string-append "--with-default-fonts="
                              (assoc-ref %build-inputs "font-dejavu")
-                             "/share/fonts")
-
-              ;; Register fonts from user and system profiles.
-              (string-append "--with-add-fonts="
-                             "~/.guix-profile/share/fonts,"
-                             "/run/current-system/profile/share/fonts"))
+                             "/share/fonts"))
         #:phases
         (modify-phases %standard-phases
           (add-before 'check 'skip-problematic-tests
@@ -393,6 +387,12 @@ high quality, anti-aliased and subpixel rendered text on a display.")
                                         ; The exact license is more X11-style than BSD-style.
      (license (license:non-copyleft "file://COPYING"
                                     "See COPYING in the distribution."))
+     (native-search-paths
+      ;; Since version 2.13.94, fontconfig knows to find fonts from
+      ;; XDG_DATA_DIRS.
+      (list (search-path-specification
+             (variable "XDG_DATA_DIRS")
+             (files '("share")))))
      (home-page "https://www.freedesktop.org/wiki/Software/fontconfig"))))
 
 ;;; The documentation of fontconfig is built in a separate package, as it
-- 
2.33.0





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 1/8] guix: packages: Fix repacking of plain tarballs.
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 03 Sep 2021 18:48:01 +0000
Resent-Message-ID: <handler.50358.B50358.163069484222774 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163069484222774
          (code B ref 50358); Fri, 03 Sep 2021 18:48:01 +0000
Received: (at 50358) by debbugs.gnu.org; 3 Sep 2021 18:47:22 +0000
Received: from localhost ([127.0.0.1]:45913 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMEDi-0005vG-KY
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 14:47:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mMEDh-0005v4-0E
 for 50358 <at> debbugs.gnu.org; Fri, 03 Sep 2021 14:47:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54436)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mMEDb-0000Vk-Oy; Fri, 03 Sep 2021 14:47:15 -0400
Received: from [2a01:e0a:28b:3d60:eb49:8148:2616:cb16] (port=54338 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mMEDb-0006i7-GY; Fri, 03 Sep 2021 14:47:15 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
Date: Fri, 03 Sep 2021 20:47:14 +0200
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN> (Maxim
 Cournoyer's message of "Fri, 3 Sep 2021 11:31:09 -0400")
Message-ID: <87bl59qyx9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Maxim,

> * guix/packages.scm (patch-and-repack): Test for a tarball using tarball? and
> move the plain file copy to the else clause.

I could not test it locally, but it looks fine to me.

Thanks for fixing it,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 08 Sep 2021 16:28:02 +0000
Resent-Message-ID: <handler.50358.B50358.163111843510318 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163111843510318
          (code B ref 50358); Wed, 08 Sep 2021 16:28:02 +0000
Received: (at 50358) by debbugs.gnu.org; 8 Sep 2021 16:27:15 +0000
Received: from localhost ([127.0.0.1]:33406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mO0Pr-0002gM-EM
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 12:27:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mO0Pm-0002g5-Qq
 for 50358 <at> debbugs.gnu.org; Wed, 08 Sep 2021 12:27:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53378)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mO0Ph-000161-Ju; Wed, 08 Sep 2021 12:27:05 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35406 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mO0Ph-00053w-AS; Wed, 08 Sep 2021 12:27:05 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
Date: Wed, 08 Sep 2021 18:27:01 +0200
In-Reply-To: <20210903153116.22517-1-maxim.cournoyer@HIDDEN> (Maxim
 Cournoyer's message of "Fri, 3 Sep 2021 11:31:09 -0400")
Message-ID: <875yvb2fu2.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> Fixes <https://issues.guix.gnu.org/50066>.
>
> * guix/packages.scm (patch-and-repack): Test for a tarball using tarball?=
 and
> move the plain file copy to the else clause.
>
> Reported-by: Mathieu Othacehe <othacehe@HIDDEN>

[...]

> +               ((or #+comp (tarball? #+source))
> +                (repack directory #$output))

Would (tarball? #+source) be enough?

Otherwise LGTM!  (Too bad I had overlooked this patch, it would have
been nice to be done with world rebuilds.)

Thanks,
Ludo=E2=80=99.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 08 Sep 2021 16:36:01 +0000
Resent-Message-ID: <handler.50358.B50358.163111893911214 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163111893911214
          (code B ref 50358); Wed, 08 Sep 2021 16:36:01 +0000
Received: (at 50358) by debbugs.gnu.org; 8 Sep 2021 16:35:39 +0000
Received: from localhost ([127.0.0.1]:33433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mO0Xz-0002uo-7N
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 12:35:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mO0Xx-0002uc-Hp
 for 50358 <at> debbugs.gnu.org; Wed, 08 Sep 2021 12:35:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53986)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mO0Xs-00070Q-BA; Wed, 08 Sep 2021 12:35:32 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35408 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mO0Xe-000253-WD; Wed, 08 Sep 2021 12:35:23 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
Date: Wed, 08 Sep 2021 18:35:15 +0200
In-Reply-To: <20210903153116.22517-8-maxim.cournoyer@HIDDEN> (Maxim
 Cournoyer's message of "Fri, 3 Sep 2021 11:31:16 -0400")
Message-ID: <87y28710vw.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> Fixes <https://issues.guix.gnu.org/31403>.
>
> * gnu/packages/fontutils.scm (fontconfig)[source]: Fix indentation.
> [configure-flags]: Drop the "--with-add-fonts" configure option as it's no
> longer necessary/desirable to special case the system and user profiles.
> [native-search-paths]: New search path.

Nice, LGTM!  Good to see a bug in the 30,000 range closed.  :-)

> +     (native-search-paths
> +      ;; Since version 2.13.94, fontconfig knows to find fonts from
> +      ;; XDG_DATA_DIRS.
> +      (list (search-path-specification
> +             (variable "XDG_DATA_DIRS")
> +             (files '("share")))))

A potential drawback is that it=E2=80=99ll end up searching too many
directories: $XDG_DATA_DIRS has 10 entries (7 if we remove duplicates)
for me on Guix System, 3 of which have a fonts/ sub-directory.  Hmm
maybe that=E2=80=99s not so bad after all.

Thanks!

Ludo=E2=80=99.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 Sep 2021 20:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 16:34:44 2021
Received: from localhost ([127.0.0.1]:39244 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOnES-0004VU-Bu
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 16:34:44 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:51398
 helo=ext-mx-out003.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mOnER-0004VD-66
 for control <at> debbugs.gnu.org; Fri, 10 Sep 2021 16:34:43 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id D1F4240BCC
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1631306076; x=1633120477;
 bh=xl8fhc8Z6uI8Ugl5X9fY2mrmiCoLscjsRg7K70j5khI=; b=GzIshsRxd/hq
 /B4IZRHTRraeEeZ0vvh7glQKE2J6WEn6E/4zzNjkxskscVaXHeC/u+p9lfzt/QYO
 H3hlHw0yl6K1a9OuRUWgckwdvqKRuE4rJz1FK4HUaxs+/kaFd6upHFMFNZvoVh6d
 c0ipJ6qKFQYBtvWeEWEoXvvPYM2pYZdIl3ln2xoiUUyw6twx1YQEe3SaTJ9l1KwF
 6vb6F+NiZwPyydmK3rxeXdalKkuvGb2Zk4CDwmv6tsmRyhfZq4cx4z89ur2cTtIR
 rBwPL90iM4KEzK7PXw4IgCvaEfi7Ip768oGqKQs4Ah2S64aBzlMA8WaXI+bM25Uy
 LSO11e1wWBxgCCNRP37c5IGyWyQah+kurDmLG6epNwMHgMTXVWqZOx+2dmxXU59A
 +KhTQWCFXeL5CaiGLmf8i7qdXrXczj1XYk1yBAKuYtKf90HooELqbs4SZ4o9npjc
 6BiWk38SsbNiSsjbQUoSs8zqBBiJMYPJx9nOPE1DqVLWEDuGFcHcXbAdHTXFBaDu
 b8XqEGzItdtb3nHrVh4rnTVo8rsLxPu9bINLPl92hmblYDA8qIbthTmOWqCbJsNQ
 LOzDGHBqwdUanb9SQFcqe4fN4NbUF8cufxZ1djKc1OP5nW/i8m66112PzrbA4bFR
 Ay6Js8GOTWhrKogWMLojDT7dU9bF1yM=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out003.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 3pgl_4sYn1ZD for <control <at> debbugs.gnu.org>;
 Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id 9C51140BCB
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 6C4242EEE
 for <control <at> debbugs.gnu.org>; Fri, 10 Sep 2021 22:34:36 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: GNU Debbugs <control <at> debbugs.gnu.org>
Subject: commands
Date: Fri, 10 Sep 2021 17:34:30 -0300
Message-ID: <11571788.Q7N4Zbcuti@popigai>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

block 50358 by 50174






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sun, 12 Sep 2021 02:50:01 +0000
Resent-Message-ID: <handler.50358.B50358.163141495419751 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: Mathieu Othacehe <othacehe@HIDDEN>, 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163141495419751
          (code B ref 50358); Sun, 12 Sep 2021 02:50:01 +0000
Received: (at 50358) by debbugs.gnu.org; 12 Sep 2021 02:49:14 +0000
Received: from localhost ([127.0.0.1]:41696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPFYQ-00058V-Ky
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 22:49:14 -0400
Received: from mail-qt1-f169.google.com ([209.85.160.169]:33772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mPFYP-00058I-2x
 for 50358 <at> debbugs.gnu.org; Sat, 11 Sep 2021 22:49:13 -0400
Received: by mail-qt1-f169.google.com with SMTP id b14so5299345qtb.0
 for <50358 <at> debbugs.gnu.org>; Sat, 11 Sep 2021 19:49:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Kd+Qm7HHIQduWnVudgypVe4HpmJEX4FN3wL+n8z2OJc=;
 b=QZ47sfpmHIINW3A7zveTCfF0DM6GG1t351yLhFi8iAeqgaY+hC1Ynj7sq71Ft2n1Wv
 pk2ML17ObeV3YyT9TUSLb0rkyXeFY7wJFs9A8YdP84aWv/g0IWXpK19ggwcVi2NN4+lW
 Muh7j/tLRaWjxyDAJ/OiNFxEw+L+0ms8vvozTvoKrrlKiPQMQE1bicpXUoA943Tht5Q8
 MjuqN2Z2sHeo73bxYOfu94rtU4ZGZqjZj73IebNv6lZvnI7HhhwijptUdu8C613S1sjB
 GJXtT9rl4y1U08LSBrIXEqEpOPqzsg0kQi5gDRy145dELq/5qCIHX0/zxB2KUsSgNG5q
 fefQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Kd+Qm7HHIQduWnVudgypVe4HpmJEX4FN3wL+n8z2OJc=;
 b=Hi8933jtZ8FkJa31AZzENmVDlfbtM3FGo74ZaXarjTS9MK7Ivd5A2gbONmKZ+qeCKI
 ZBo9LtBocmkpREYjtiFOEuJucrJsatw4/0CxwxBWJN+RAkJD5UJlyTOpwgpUPEn2LNb0
 dbMERaTuRpnXuFn2qpPYFJCMRD43YqVi43W0vC7ze7agaD1HjhHnbpPVZ7sFwh7BLqKw
 IMugMHajS8MreV0G+0MO2TrPYuCGkWGkHQBaTv/4gV/kE88KF89Rh8X5iwgxykVmGXox
 Ua9lvL6DmYQw421oVM3VL6r84jdL9KclvubNn+uEmh4KXDJ3iuS6gMHbkGkgm6eBIE2m
 TvjA==
X-Gm-Message-State: AOAM5338OlLH1sXQkktYeOGo3fnU1SIhvncgaP8dZiK47NZP8IwKhtPi
 4ipjbtRES6iFGlCOwxQBy/g=
X-Google-Smtp-Source: ABdhPJxilrlT8U3L9d5itYLV0CeLRgx4oJQ3bqoPNFjETW1ldlFSzbbK4H5hLRGhuz6QnZy9hNpxFg==
X-Received: by 2002:ac8:1c6:: with SMTP id b6mr4114210qtg.221.1631414947241;
 Sat, 11 Sep 2021 19:49:07 -0700 (PDT)
Received: from hurd (dsl-10-134-93.b2b2c.ca. [72.10.134.93])
 by smtp.gmail.com with ESMTPSA id j184sm2466556qkd.74.2021.09.11.19.49.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 11 Sep 2021 19:49:06 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <20210903152903.22385-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <875yvb2fu2.fsf_-_@HIDDEN>
Date: Sat, 11 Sep 2021 22:49:05 -0400
In-Reply-To: <875yvb2fu2.fsf_-_@HIDDEN> ("Ludovic =?UTF-8?Q?Court=C3=A8s?="'s message of "Wed, 08 Sep 2021 18:27:01 +0200")
Message-ID: <87o88ypkym.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> Fixes <https://issues.guix.gnu.org/50066>.
>>
>> * guix/packages.scm (patch-and-repack): Test for a tarball using tarball=
? and
>> move the plain file copy to the else clause.
>>
>> Reported-by: Mathieu Othacehe <othacehe@HIDDEN>
>
> [...]
>
>> +               ((or #+comp (tarball? #+source))
>> +                (repack directory #$output))
>
> Would (tarball? #+source) be enough?

No!  Because any (non-tarball) compressed archives (of the types handled
by compressor in (guix build utils) must also be repacked) :-).

> Otherwise LGTM!  (Too bad I had overlooked this patch, it would have
> been nice to be done with world rebuilds.)

Yeah.  I'm attempting to synchronize for the next rebuild.

Thanks!

Maxim




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sun, 12 Sep 2021 02:57:02 +0000
Resent-Message-ID: <handler.50358.B50358.163141539320465 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163141539320465
          (code B ref 50358); Sun, 12 Sep 2021 02:57:02 +0000
Received: (at 50358) by debbugs.gnu.org; 12 Sep 2021 02:56:33 +0000
Received: from localhost ([127.0.0.1]:41700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPFfV-0005K1-Dk
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 22:56:33 -0400
Received: from mail-qv1-f48.google.com ([209.85.219.48]:44711)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mPFfS-0005Jj-42
 for 50358 <at> debbugs.gnu.org; Sat, 11 Sep 2021 22:56:31 -0400
Received: by mail-qv1-f48.google.com with SMTP id 62so3942350qvb.11
 for <50358 <at> debbugs.gnu.org>; Sat, 11 Sep 2021 19:56:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=NDokAIGQlmWq0+t80VNWFp9OZ8JMmWZK8cGRJbUNw98=;
 b=gNu82UnLbdZXsraShRYtRu4auWgJASL8/mfbw8s5yftKLXjtprmZDuliTXkNR/nq9D
 a4+EA+19KGD8ph2dPEmLLc1VKcU5uVsz8GE6YtcL4x+zb/CPZLXH6nP/CDbch6Uohyje
 WU9X7aIAYtt4J2+uKPKEcvCcdvcbH3eyjeo5Sc/Izif16wP6KqTqil/iuAFHzOkdBoZP
 ya71vBTK8lkTVxVYZfbDlk8EXYJpo+tXas7Cg41D+pb8XWMJu+p2xKWTwqhr3RMm2wzA
 Na1fRfzB9HlMAqEVWOySNOqzgF7iPbZZ7voeqw0qenqA6+o3p2wH1hr0Tdqjmo94hOqW
 1S2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=NDokAIGQlmWq0+t80VNWFp9OZ8JMmWZK8cGRJbUNw98=;
 b=7KC4uOS315KYSGVAu26hm6SWdDlabmWqmjLurCoh0J5VPbUg+JDWNXY9QE86reXQgk
 3lrpB3Rt0Q7ArKiBVcd5U9D56Fk6FHxgr6MmkInLRFi/GE3zRGYpAr/W9uBnCITx5J+z
 GyDUnrZ1E6vQ58NRJvQ6sldRM64HLLFqw+iaJsssxUygtWrYyLAdaB+2CrWHPtcNpdAl
 l5kuwwClxD5QcPKkgssFR+T1cPhFF1j5GcmEJr3e7QlzOE6W0ECtZUFhRDa+q4XVlYPO
 rbQw0P9PY+r/VfiRX7FSsDt8QqMGsyyWo0qUnvcGRmoG5e2JMdbX8ECM9GWo7BWqsvKg
 f+Uw==
X-Gm-Message-State: AOAM532XJQeZn0JxySrJfFwDGpLQuTPiIUmDDMdCBzSyg7VR9iXeG0xg
 uYXiTrIAL7YYMG6BwnJgrC5BHPYZV3k=
X-Google-Smtp-Source: ABdhPJzQFFYuDisVqM4sBO4Hztq3rHhl1t2ed4BtG2c2CJ+Kt/zBq4J5JYrpmAEbj9vaaAuw6bHLLg==
X-Received: by 2002:a0c:ab4e:: with SMTP id i14mr4579771qvb.28.1631415384336; 
 Sat, 11 Sep 2021 19:56:24 -0700 (PDT)
Received: from hurd (dsl-10-134-93.b2b2c.ca. [72.10.134.93])
 by smtp.gmail.com with ESMTPSA id a8sm1915832qtx.39.2021.09.11.19.56.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 11 Sep 2021 19:56:24 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
 <87y28710vw.fsf_-_@HIDDEN>
Date: Sat, 11 Sep 2021 22:56:23 -0400
In-Reply-To: <87y28710vw.fsf_-_@HIDDEN> ("Ludovic =?UTF-8?Q?Court=C3=A8s?="'s message of "Wed, 08 Sep 2021 18:35:15 +0200")
Message-ID: <87k0jmpkmg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi!

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> Fixes <https://issues.guix.gnu.org/31403>.
>>
>> * gnu/packages/fontutils.scm (fontconfig)[source]: Fix indentation.
>> [configure-flags]: Drop the "--with-add-fonts" configure option as it's =
no
>> longer necessary/desirable to special case the system and user profiles.
>> [native-search-paths]: New search path.
>
> Nice, LGTM!  Good to see a bug in the 30,000 range closed.  :-)

:-)

>> +     (native-search-paths
>> +      ;; Since version 2.13.94, fontconfig knows to find fonts from
>> +      ;; XDG_DATA_DIRS.
>> +      (list (search-path-specification
>> +             (variable "XDG_DATA_DIRS")
>> +             (files '("share")))))
>
> A potential drawback is that it=E2=80=99ll end up searching too many
> directories: $XDG_DATA_DIRS has 10 entries (7 if we remove duplicates)
> for me on Guix System, 3 of which have a fonts/ sub-directory.  Hmm
> maybe that=E2=80=99s not so bad after all.

That's a defect with XDG_DATA_DIRS :-(.

I feel like search-path-specification should be augmented to express
patterns that would be useful with search paths such as the too wide
XDG_DATA_DIRS: enable only when a child directory/file is present, for
example.

So far we've been adding ad-hoc fixes in build systems (such as for the
qt-build-system, via (guix build qt-utils)); it seems it'd be cleaner to
add this capability at the search path level.

What do you think?

Maxim




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Sep 2021 21:56:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 17:56:03 2021
Received: from localhost ([127.0.0.1]:43633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPXSF-0004Xj-1o
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 17:56:03 -0400
Received: from mx.kolabnow.com ([95.128.36.41]:54158
 helo=ext-mx-out001.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mPXS9-0004XB-Ne
 for control <at> debbugs.gnu.org; Sun, 12 Sep 2021 17:56:01 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id CAFBF652
 for <control <at> debbugs.gnu.org>; Sun, 12 Sep 2021 23:55:51 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1631483751; x=1633298152;
 bh=p/niIEIR+0/VQVnN6TH0nRbfVd/eePJMvzuuz5l56fc=; b=yb9J4BlzW8y+
 cy4asMFFUpBMkE4659cAu73sVgbKhJOk49iRwxs9OTeXiXQkpNL1IjF9Q74PN/Lo
 SLav4QijxfSD7iHOX/DRbDGvPQWw+dDFUjgZHLU7chZbX6Eyktxx4HfzNKKtql+p
 h/Oq+xpbEtW3UFbKHZiBqjM427hjXDz2H+xD0ZQJGrCe6QXy/xxlNS4N55SlK0+w
 GgOMwQf9G3vitEKV47AmfCOlZ2EOotl3L8PBcacGfy1B39qm6pvLqoZdEE+VTiY4
 hlFxUZlL6CjmKMGRNYsIL/1CdNSPclqXmyl3ixBwOh1m+sJsPAss7gMKNInqsY0C
 xSXr3JuUC0C+qiXA1Eu1c72f7J96Ogie/nHfsWmeGVuzJ3PgJntro8/8uTRr4dXF
 eoe2gSg86IlKmaKQeBZio8G9PDeK0hqSqPolBfbAfsTDL9rZJUh45Y2CofxT395H
 BVcusD07LThr/r6ab+nOFM3Wz0O2Rlt1nMnYmGmpQ5Mr5RESRqsUkaztiecwR59W
 P0IJHYF+YirhCXuqtxLqkJKz2vk8+3tJk/L+vFCMj/5cbNNXVibrhIsI0DhqwZ5l
 hQPF6XYBwvkSFask1hq+vvps6rGI2eBlyoExnlCK6fYhNIRQNQ32IRTiuYN9fV1r
 MWTXhEuWb06jxJPGqjvlDZwdZgcr4ew=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out001.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id OadvIcbgBc22 for <control <at> debbugs.gnu.org>;
 Sun, 12 Sep 2021 23:55:51 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id 79537586
 for <control <at> debbugs.gnu.org>; Sun, 12 Sep 2021 23:55:51 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 4F867245A
 for <control <at> debbugs.gnu.org>; Sun, 12 Sep 2021 23:55:51 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: GNU Debbugs <control <at> debbugs.gnu.org>
Subject: Please consider also adding this gtk+@2 fix for the world rebuild
Date: Sun, 12 Sep 2021 18:55:45 -0300
Message-ID: <2422007.ZNODRVHgDc@popigai>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

block 50358 by 50521
stop

Hi,

As Guillaume noticed, the patch in issue 50521 with a build fix for gtk+@2=
=20
on powerpc64le-linux causes more than 2900 packages to rebuild. I hope it=
=E2=80=99s=20
not too much trouble to have a look at it and consider whether it can be=20
added for the world rebuild.

=2D-=20
Thanks,
Thiago






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 08:25:01 +0000
Resent-Message-ID: <handler.50358.B50358.163152149022500 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163152149022500
          (code B ref 50358); Mon, 13 Sep 2021 08:25:01 +0000
Received: (at 50358) by debbugs.gnu.org; 13 Sep 2021 08:24:50 +0000
Received: from localhost ([127.0.0.1]:44225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPhGk-0005qp-HO
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:24:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mPhGj-0005qe-50
 for 50358 <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:24:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57878)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mPhGd-0001C6-Ul; Mon, 13 Sep 2021 04:24:43 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=47246 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mPhGd-00071j-Lb; Mon, 13 Sep 2021 04:24:43 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
 <87y28710vw.fsf_-_@HIDDEN> <87k0jmpkmg.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 Fructidor an 229 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 13 Sep 2021 10:24:41 +0200
In-Reply-To: <87k0jmpkmg.fsf@HIDDEN> (Maxim Cournoyer's message of "Sat, 11
 Sep 2021 22:56:23 -0400")
Message-ID: <87o88wanna.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> I feel like search-path-specification should be augmented to express
> patterns that would be useful with search paths such as the too wide
> XDG_DATA_DIRS: enable only when a child directory/file is present, for
> example.
>
> So far we've been adding ad-hoc fixes in build systems (such as for the
> qt-build-system, via (guix build qt-utils)); it seems it'd be cleaner to
> add this capability at the search path level.
>
> What do you think?

I=E2=80=99m of the kind who=E2=80=99d rather have reality match the model. =
 ;-)

I think it would be nice to have a FONTCONFIG_FONT_PATH variable that
would only look at share/fonts.

What you describe would have uses beyond fontconfig, which is nice.  The
downside is that it would make search path semantics and their
implementation more complex; we=E2=80=99d have to see what the impact is.

Thinking about it, I wonder if having (file-pattern "^fonts$") would
work here.  But then, what if a profile contains several packages with
an XDG_DATA_DIRS search path but different =E2=80=98file-pattern=E2=80=99 v=
alues?=E2=80=A6

Thanks,
Ludo=E2=80=99.






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 5/8] gnu: rust: Add rust 1.54 and move all non-bootstrapping logic to it.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 14 Sep 2021 23:41:01 +0000
Resent-Message-ID: <handler.50358.B50358.163166285624722 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163166285624722
          (code B ref 50358); Tue, 14 Sep 2021 23:41:01 +0000
Received: (at 50358) by debbugs.gnu.org; 14 Sep 2021 23:40:56 +0000
Received: from localhost ([127.0.0.1]:50403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQI2q-0006Qg-Dt
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 19:40:56 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:34632
 helo=ext-mx-out002.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mQI2o-0006QR-CZ
 for 50358 <at> debbugs.gnu.org; Tue, 14 Sep 2021 19:40:55 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTP id 26F41DF8;
 Wed, 15 Sep 2021 01:40:48 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1631662847; x=1633477248; bh=yUlG4vYlRUKmeRxaU4FWMlWOZqHkwjwG1W5
 Vu2Yl6Aw=; b=dpPP38yOMWuwTBvOzGQT4TmL5Vzu/FuR9A98wqwNwWcUX8F/3dh
 n9KJYmih8XnqhAy0aaRYIQGXOIzuHeMWeWelwFBWp37BuDfQ/2arIhTJ1A8Y+Nyd
 r6d6kLdOy2rRIDicTwNRElxP0/FmP9NX1rlTuMUoGH8zrARdR5nhkYyoOf5X1FIL
 A0JhHTqfb3LvwLw7K6Rx5ODSRPfY/u9mo9peDt0PG9FgVhzX5Q7sSfVMh1K3b7ET
 7/OjKIwcaNXKV+NNSNEh8TXDtA6FFFRs/WKc8kKIs+tWCtIiB10Ty0yYyt1CHsTZ
 gTFeCqvJ6bQyzwQOL4HTNPwsJGARyXkhO5NnCv5Q77qU3GioVB/uYUbdEMP61E29
 pweDXTrK+M7pk/Wcuc7XbTlq2kvwKEhaZRXeOYThLQhDrqvYYnXKZKusTwYz5blY
 tkQ3zu4s2ev2IHS0SGU7NmYoBlUdJtSxl3NeI/ybNJFaC9EOQxI653YcjQVK4Ne+
 uulRo5DzFinWidw4h6pdNA8mxZV23kJWILr3u0UgYAVzOnvHsi1UlXiwP59FN0AE
 qynzaC7/hajbiAy73dP2WBUlQTxe6usVTQCOAKAuezWXjtwuhTE0oKd04DgqD3aZ
 U1mskNt1N/rU28paTliFfhluyKTv7yRIlO6hLP5wXHyKRYUTcqxEu4z4=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.899
X-Spam-Level: 
X-Spam-Status: No, score=-1.899 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9, URIBL_BLOCKED=0.001]
 autolearn=ham autolearn_force=no
Received: from ext-mx-out002.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id KJxQ3pBdm7Sb; Wed, 15 Sep 2021 01:40:47 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTPS id CA977655;
 Wed, 15 Sep 2021 01:40:47 +0200 (CEST)
Received: from ext-subm003.mykolab.com (unknown [10.9.6.3])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 830EE44E;
 Wed, 15 Sep 2021 01:40:47 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Tue, 14 Sep 2021 20:40:42 -0300
Message-ID: <4704446.AJh2o8N0jF@popigai>
In-Reply-To: <20210903153116.22517-5-maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-5-maxim.cournoyer@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Maxim,

I haven=E2=80=99t looked at this series in detail, so I just have one comme=
nt:

Em sexta-feira, 3 de setembro de 2021, =C3=A0s 12:31:13 -03, Maxim Cournoyer
escreveu:
>        ;; Add test inputs.
> -      (native-inputs (cons*
> -                      ;; The tests fail when using GDB 10 (see:
> -                      ;; https://github.com/rust-lang/rust/issues/79009).
> -                      `("gdb" ,gdb-9.2)

With this change, gdb-9.2 isn=E2=80=99t used anymore and can be removed.

=2D-=20
Thanks,
Thiago






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Sep 2021 04:33:02 +0000
Resent-Message-ID: <handler.50358.B50358.163168036827701 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163168036827701
          (code B ref 50358); Wed, 15 Sep 2021 04:33:02 +0000
Received: (at 50358) by debbugs.gnu.org; 15 Sep 2021 04:32:48 +0000
Received: from localhost ([127.0.0.1]:50567 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQMbI-0007Ci-0w
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 00:32:48 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:43749)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mQMbG-0007CW-J0
 for 50358 <at> debbugs.gnu.org; Wed, 15 Sep 2021 00:32:47 -0400
Received: by mail-qv1-f52.google.com with SMTP id cf2so1147397qvb.10
 for <50358 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 21:32:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=Lw9lSsA4aMWVoyQeHeyBbbhzoLq8bmKVlIQrfXWQe08=;
 b=WA/FTPlF1hVoZWsP2Hl9yWVoty3kg1VXe8MChma/al9YbyzP7ZJ7l0mQ5oewc2WW/n
 FWhyUh8vnyHDHPHeWTUuLU2oDCFLWdFeQdvK8q6DzMZOF7vr8SojttH3VsEpDK/ekfPi
 ku48eMVp8RIBvKrMGdlq+odh2Inn7ISRza55nivM9gRoV4sUs/nE6ysQylqetOJPiCBH
 coEROukpEXg/Q7IS9EEBQBABbCUzwZofRkHou7ZeiVJp7BwXwTuKbuXDfxPyz/flRNFW
 755Nx5PEAVAyhieUj7i4IrSmJlchr8YkhdeOrY4tpj9bAf0ayqixfvEEyn+R3m7EvKGc
 O0Qg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=Lw9lSsA4aMWVoyQeHeyBbbhzoLq8bmKVlIQrfXWQe08=;
 b=Xe4+5owfMClzKbUm2uDOyFPPHJAIlPcP/xffc1b/jzCebRYTEOkQenf6SFjLtD1oSG
 O1mKV2U3Y+EEQ8vGQKQgn9QgNm+IPodsB0cLXAwmoQ1JJ5V+oUEuIfjyJjXwcGUkN169
 m3Hlp5Fd2N26/nIArCiiwiTc9UzT/dkKqXn2c7/gilhrnXtGkFPxsA1vaAtOftFT5rcU
 rksBo5EfqQ5PCyJ3so5lYipkXnf7ElPTuPkHXuMd4TxxyCT3fsv2rBC9gjPhncGi7zFw
 K60Zz5OBjakaPtnccIcU8TXJGqXCsB4qFn+OlUsUHQ0AuYQVhu+KU9A8u9RurpQSKDFG
 8aOA==
X-Gm-Message-State: AOAM5336aCyXwS3edGq/QhJJ3f16vzQzK/hTYJGBct0EENT5ZRw2ON7f
 wtUAQ/EI3OrUDsFTh/49qWGybCmSCz4=
X-Google-Smtp-Source: ABdhPJxvD04U5VejAaCkaqY97wuyNOS/rTBo1UDz7XUi58yOJhFylPulfHZouzfImP4vLpv8TZgB0w==
X-Received: by 2002:a0c:c707:: with SMTP id w7mr9097340qvi.14.1631680360541;
 Tue, 14 Sep 2021 21:32:40 -0700 (PDT)
Received: from hurd (dsl-159-73.b2b2c.ca. [66.158.159.73])
 by smtp.gmail.com with ESMTPSA id c17sm7881991qtq.42.2021.09.14.21.32.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 21:32:40 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
 <87y28710vw.fsf_-_@HIDDEN> <87k0jmpkmg.fsf@HIDDEN>
 <87o88wanna.fsf@HIDDEN>
Date: Wed, 15 Sep 2021 00:32:39 -0400
In-Reply-To: <87o88wanna.fsf@HIDDEN> ("Ludovic =?UTF-8?Q?Court=C3=A8s?="'s message of "Mon, 13 Sep 2021 10:24:41 +0200")
Message-ID: <87czpao3vc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hi,
>
> Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:
>
>> I feel like search-path-specification should be augmented to express
>> patterns that would be useful with search paths such as the too wide
>> XDG_DATA_DIRS: enable only when a child directory/file is present, for
>> example.
>>
>> So far we've been adding ad-hoc fixes in build systems (such as for the
>> qt-build-system, via (guix build qt-utils)); it seems it'd be cleaner to
>> add this capability at the search path level.
>>
>> What do you think?
>
> I=E2=80=99m of the kind who=E2=80=99d rather have reality match the model=
.  ;-)

Haha!  Tough!

> I think it would be nice to have a FONTCONFIG_FONT_PATH variable that
> would only look at share/fonts.

That'd be nice, but probably harder to convince them than for
XDG_DATA_DIRS, as we'd probably be the only user.

> What you describe would have uses beyond fontconfig, which is nice.  The
> downside is that it would make search path semantics and their
> implementation more complex; we=E2=80=99d have to see what the impact is.

Yes, more complexity, but localized (and can be tested), rather than
diffused (and untested) as of now.

> Thinking about it, I wonder if having (file-pattern "^fonts$") would
> work here.  But then, what if a profile contains several packages with
> an XDG_DATA_DIRS search path but different =E2=80=98file-pattern=E2=80=99=
 values?=E2=80=A6

Perhaps this could work too, *if* the behavior of various same-named
environment variable specifications is to be combined into a logical OR
manner (I haven't checked what the current behavior is, but I seem to
recall it not working from past experiments).

Thanks,

Maxim




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 16 Sep 2021 19:57:02 +0000
Resent-Message-ID: <handler.50358.B50358.163182219220757 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163182219220757
          (code B ref 50358); Thu, 16 Sep 2021 19:57:02 +0000
Received: (at 50358) by debbugs.gnu.org; 16 Sep 2021 19:56:32 +0000
Received: from localhost ([127.0.0.1]:56669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQxUm-0005Oj-2H
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:56:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQxUe-0005OL-Eb
 for 50358 <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:56:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34382)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQxUY-0000UG-FU; Thu, 16 Sep 2021 15:56:18 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35716 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQxUY-0007TG-6j; Thu, 16 Sep 2021 15:56:18 -0400
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-8-maxim.cournoyer@HIDDEN>
 <87y28710vw.fsf_-_@HIDDEN> <87k0jmpkmg.fsf@HIDDEN>
 <87o88wanna.fsf@HIDDEN> <87czpao3vc.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Fructidor an 229 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 16 Sep 2021 21:56:15 +0200
In-Reply-To: <87czpao3vc.fsf@HIDDEN> (Maxim Cournoyer's message of "Wed, 15
 Sep 2021 00:32:39 -0400")
Message-ID: <87y27wz44g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxim,

Maxim Cournoyer <maxim.cournoyer@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

[...]

>> I think it would be nice to have a FONTCONFIG_FONT_PATH variable that
>> would only look at share/fonts.
>
> That'd be nice, but probably harder to convince them than for
> XDG_DATA_DIRS, as we'd probably be the only user.

Dunno, not necessarily.

>> What you describe would have uses beyond fontconfig, which is nice.  The
>> downside is that it would make search path semantics and their
>> implementation more complex; we=E2=80=99d have to see what the impact is.
>
> Yes, more complexity, but localized (and can be tested), rather than
> diffused (and untested) as of now.
>
>> Thinking about it, I wonder if having (file-pattern "^fonts$") would
>> work here.  But then, what if a profile contains several packages with
>> an XDG_DATA_DIRS search path but different =E2=80=98file-pattern=E2=80=
=99 values?=E2=80=A6
>
> Perhaps this could work too, *if* the behavior of various same-named
> environment variable specifications is to be combined into a logical OR
> manner (I haven't checked what the current behavior is, but I seem to
> recall it not working from past experiments).

Yes, from what I see, =E2=80=98evaluate-search-paths=E2=80=99 would need a
post-processing step to concatenate the results of same named variables.

The only issue is that it returns a list of specification/value pairs,
where the assumption is that one specification corresponds to one value.
We=E2=80=99d need to check call sites and see whether it=E2=80=99s a proble=
m to dismiss
all but the first spec of a given search path, for instance.

Thanks,
Ludo=E2=80=99.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Sep 2021 18:54:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 14:54:00 2021
Received: from localhost ([127.0.0.1]:39957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS1wu-0006aL-OM
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:54:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mathieu@HIDDEN>)
 id 1mS1ws-0006a3-Sq
 for control <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:53:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60246)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mathieu@HIDDEN>)
 id 1mS1wn-00083k-Dz
 for control <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:53:53 -0400
Received: from [178.250.34.74] (port=33558 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1)
 (envelope-from <mathieu@HIDDEN>)
 id 1mS1wn-0002as-4Q
 for control <at> debbugs.gnu.org; Sun, 19 Sep 2021 14:53:53 -0400
Date: Sun, 19 Sep 2021 18:53:50 +0000
Message-Id: <87v92wpfb5.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Mathieu Othacehe
 <mathieu@HIDDEN>
Subject: control message for bug #50664
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

block 50664 by 50358
quit





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 22 Sep 2021 01:43:01 +0000
Resent-Message-ID: <handler.50358.B50358.163227495725644 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.163227495725644
          (code B ref 50358); Wed, 22 Sep 2021 01:43:01 +0000
Received: (at 50358) by debbugs.gnu.org; 22 Sep 2021 01:42:37 +0000
Received: from localhost ([127.0.0.1]:48347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSrHR-0006fX-CS
	for submit <at> debbugs.gnu.org; Tue, 21 Sep 2021 21:42:37 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:35481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1mSrHO-0006fH-66
 for 50358 <at> debbugs.gnu.org; Tue, 21 Sep 2021 21:42:35 -0400
Received: by mail-qv1-f46.google.com with SMTP id f2so1011127qvx.2
 for <50358 <at> debbugs.gnu.org>; Tue, 21 Sep 2021 18:42:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=hw7mG8LIjz0rbbn2oCQo8O1dKDZEBIh7ZrmcHtX4L7M=;
 b=lIFwNq+7TAiNLWnfkJC58qqtbuUV3Wy35exGqC36cQEyoA6l+OUzscle4NXJxPNnxO
 mTsR3iq9XrSh1ZQtyYTruwsc8+aB8DDQ1qjCMYpX5be5wpHQ9xT4k+QnyTE8tzY/MQ3H
 iyvwA+aPsOxTXPRYqNyZH9kE3qK/0ZozdnHaLpik3e0g2tl6ZtvOZSsBtbxQUiBLALEV
 8e0zsFz8+N5ekXtJxwX5JjU4WXpLiK8Ywn9QREfIdmQvq/8GIOY2pf50Qr4gyhH2ZZp3
 zz+76SkYOFuG90SzT1rcBWRcaGw1DSZ6EXOXdoOGNu9NlnB2xNZm4Bs+tjBy2nxBV3wa
 ejag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=hw7mG8LIjz0rbbn2oCQo8O1dKDZEBIh7ZrmcHtX4L7M=;
 b=VkXtbMlQ2wOk9tvSXcd88nRODNTrTPj6cBTN2DZYAWivFzA9kJGINYYBc7vUQ0dQI6
 Jejfjr64i+c5R0tOk+tlnINXcvguJCuOXidKJdgYllXdPGajY9HS0VqWuxeVGWddxUdt
 Ui5orBW3ZC3nvcvCXrtN4G7wlz9XXpDRWPuFei4osllYPIjvw69azOa1foxd+f/+Cme4
 ClazXmNvjQ5xXBlKXRfn9LkBNl1N3sR+Y504hr+580b2MNwtm99IpYzbsKXNIxXPllCK
 YTquYFzL1GvOg8uLylRYy9be5YnQ8MvOw8GyT9UOvP/ssgztYPqyisc/dmgK/5QF+P+E
 OOgA==
X-Gm-Message-State: AOAM530AAUZvc8sm8tlGIpuZeZQtxkyVbNH0DX88vvzt6lFviOutDkVu
 n9j5TzmPBxWP5E4cbAsvewqSOGhbX6M=
X-Google-Smtp-Source: ABdhPJwl9B7xqh0trNKBesP3K4D/Pj4tdKht7P1VgyUC1k2Mmva2QBl404vlR7EdEcdsonCuxquw4g==
X-Received: by 2002:a05:6214:6aa:: with SMTP id
 s10mr33414537qvz.56.1632274948469; 
 Tue, 21 Sep 2021 18:42:28 -0700 (PDT)
Received: from hurd (dsl-157-23.b2b2c.ca. [66.158.157.23])
 by smtp.gmail.com with ESMTPSA id g22sm668526qkk.87.2021.09.21.18.42.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 21 Sep 2021 18:42:27 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <20210903153116.22517-5-maxim.cournoyer@HIDDEN>
 <4704446.AJh2o8N0jF@popigai>
Date: Tue, 21 Sep 2021 21:42:26 -0400
In-Reply-To: <4704446.AJh2o8N0jF@popigai> (Thiago Jung Bauermann's message of
 "Tue, 14 Sep 2021 20:40:42 -0300")
Message-ID: <87tuidl725.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Thiago,

Thiago Jung Bauermann <bauermann@HIDDEN> writes:

> Hello Maxim,
>
> I haven=E2=80=99t looked at this series in detail, so I just have one com=
ment:
>
> Em sexta-feira, 3 de setembro de 2021, =C3=A0s 12:31:13 -03, Maxim Courno=
yer
> escreveu:
>>        ;; Add test inputs.
>> -      (native-inputs (cons*
>> -                      ;; The tests fail when using GDB 10 (see:
>> -                      ;; https://github.com/rust-lang/rust/issues/79009=
).
>> -                      `("gdb" ,gdb-9.2)
>
> With this change, gdb-9.2 isn=E2=80=99t used anymore and can be removed.

Good observation; I'm in the process of updating the 'ldc' package on
the master branch, and GDB 10 had regressions with the D language, so I
had to use gcc-8.2 for its test suite; I guess gdb-9.2 would work too.

I'll keep it for now.

Thank you,

Maxim




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Sep 2021 21:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 17:26:40 2021
Received: from localhost ([127.0.0.1]:43001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUy92-000560-Hd
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:26:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mUy90-00055j-Uo
 for control <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:26:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44260)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1mUy8v-0005fH-Mm
 for control <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:26:33 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36408 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1mUy8t-0003AW-La
 for control <at> debbugs.gnu.org; Mon, 27 Sep 2021 17:26:33 -0400
Date: Mon, 27 Sep 2021 23:26:30 +0200
Message-Id: <87lf3hhfqx.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #50358
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

block 50358 by 50830
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Sep 2021 23:11:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 27 19:11:14 2021
Received: from localhost ([127.0.0.1]:43127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mUzmD-0001Sm-Q3
	for submit <at> debbugs.gnu.org; Mon, 27 Sep 2021 19:11:13 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:59133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1mUzmB-0001SZ-Uf
 for control <at> debbugs.gnu.org; Mon, 27 Sep 2021 19:11:12 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id E68B35C00AA;
 Mon, 27 Sep 2021 19:11:06 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Mon, 27 Sep 2021 19:11:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:message-id:mime-version:content-type; s=mesmtp;
 bh=n52+Qny+0KHSPxngAsPXHcEyO+yneTUExh9666hO4bs=; b=cIRSDqy4ZaFy
 6qBhg8B3/bHO+SJj9YNA0icWIJazqjhYehLefPj9aUObINZ8w8NcQrmqNP/3woKX
 ulGmokBhnN2jOjdXhCOfs063pF7USo07lvA1UIFuWue6C4kEayAqXp9l1n5PhJvi
 UB5nnxlWzST4FBh0wpH7k8N94pr2hQ8=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=n52+Qny+0KHSPxngAsPXHcEyO+yneTUExh9666hO4
 bs=; b=u6zaXt2hfe+1iWohlDASXniL//rzbRFiDuxg1wCS38XESosetKL1/WL6M
 GCVjSh+rg9hgI8CTpwIklre+BXY0AhPQ3ZpZJe1VjB3NQGTKvtBb/YMK0U6mSJl2
 wjNomI8/5rHb17a26IR77K+aIgj7NwUq8UukRu0fkMcISEyvpCYphNaumNjYxqGj
 IOKYfGgUQ/S8u9Xp6i+mxnQAHXojEwBajFQcRjammi0V1Lms9sNjVc+D3gugi0vY
 wEnIvWzYZPXJY8yvDo8QErKTeFA4/HMVf/5b7I+C6UjMP+CK77/w8WmcI4ayKujU
 YXpH7t8vLkYyoP2va4WVX2Po4HOEw==
X-ME-Sender: <xms:ik9SYWIrlCSNs_lV8P7kBEfa9nggbGB48z4cDxFnzAWH4LHL2BL87g>
 <xme:ik9SYeKgXvQmhlPLhQhEOZVrit2ISpJ00C5KfVhWzapTEIXNbTEG6gHew94J_v5yp
 4Mx11U5wpg1HgYCWg>
X-ME-Received: <xmr:ik9SYWvkjVQ9mHEm7aT7Z79OognGJwYoZxzamsI-Q_JqDzE1d-Kh2r5eUqj4VMR6qxHwnQ4waWqgfWtm-BDSQurRvA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudejledgudeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucfgmhhpthihuchsuhgsjhgvtghtucdluddtmdenuc
 fjughrpeffhffvkfggtggusehttdertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhl
 rghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpe
 fhjeeigfefvedvfeetheegledtkeevuddtgedtudeiteehteegvdefffduffefffenucev
 lhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrg
 hmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:ik9SYbbPKR0tyoXbk7hi1Qj7JgCKwRNGUixGu_OT7K2siiZC81JUOw>
 <xmx:ik9SYda4doct9XUxY-p1TAtXd9RWSsisQdxAL6IV8ZjbNO2KuClbvw>
 <xmx:ik9SYXCTy9GvRnilZl4z4H_jFFxHCYFIZ2KVelEi7rD8qjD1Gaphiw>
 <xmx:ik9SYf1NjVQsYCs-qB1K-Mbl0Om17QntMk6CblTPwMci86fJkqWSaw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <control <at> debbugs.gnu.org>; Mon, 27 Sep 2021 19:11:06 -0400 (EDT)
Date: Mon, 27 Sep 2021 19:11:05 -0400
From: Leo Famulari <leo@HIDDEN>
To: control <at> debbugs.gnu.org
Message-ID: <YVJPiWdiI80d7glp@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  block 50860 with 50859 block 50860 with 50830 block 50860
 with 50358 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [66.111.4.29 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [66.111.4.29 listed in wl.mailspike.net]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

block 50860 with 50859
block 50860 with 50830
block 50860 with 50358




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50358] [PATCH core-updates-frozen 0/8] Shortened Rust bootstrap & other fixes.
Resent-From: Thiago Jung Bauermann <bauermann@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 28 Sep 2021 04:06:02 +0000
Resent-Message-ID: <handler.50358.B50358.16328019449049 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50358
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Cc: 50358 <at> debbugs.gnu.org
Received: via spool by 50358-submit <at> debbugs.gnu.org id=B50358.16328019449049
          (code B ref 50358); Tue, 28 Sep 2021 04:06:02 +0000
Received: (at 50358) by debbugs.gnu.org; 28 Sep 2021 04:05:44 +0000
Received: from localhost ([127.0.0.1]:43367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mV4NE-0002Lt-9N
	for submit <at> debbugs.gnu.org; Tue, 28 Sep 2021 00:05:44 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:46294
 helo=ext-mx-out002.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mV4NB-0002Lb-PI
 for 50358 <at> debbugs.gnu.org; Tue, 28 Sep 2021 00:05:42 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTP id 1BD7EE9A;
 Tue, 28 Sep 2021 06:05:35 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1632801934; x=1634616335; bh=DeXsQaq6kYBD9HxQW2xH0w8RHJOiTYzx/Eq
 ES6SS99M=; b=f4MhqOuD2HkrPrqCVdLLpQpKZxOgvtVM4P/b+qpo/bFcwAA8UDP
 DcKUM1HiC12HsCcnPmkyRZBPDWt2wmXa2qKXybdJ/RdOkx/J49GDFfVyHSql5pu1
 qkStfKAlwGpDXIYSaaRst4yHIsu2MNfh13H3pKOa9x6y/JIVmAyC2N0ItQjeayYG
 t9HbkVZRFcQ27LHxcqCBphipHGvXxS06Hg6/kKeXRPwiS/F/4x1FktAex50kA/tU
 ieONXSVlF6DHx/QVXAF8scN/l9B25qFvSAUmyy+Ta4iRQUQ2Heumy9gtSHyLM2z9
 aYDIcvyBEgWnaXnOwAeVruGpygfYZQrYI2PAuJIN/nQ/8fBCA9TlKwUsKnBqYAJc
 /jK39sP2BWeTPy9fi2Gajd5zcaULhmMXqZpgxz0tbB6ZaM2PYHMNdWrPPHwLvb3s
 j++xKnO4LzKt8BXmKyh2GXY6QDFQkpss3vWaL6cs8+zFruCUWdj3xDnK6PcSn2d9
 MWhAcM+lH3tbombknLPy3LuVFVlyIg1rBOdw7cwkdBoYTTyhH4Eb0ZXrG5apy+uE
 eS+I1U8TjwmjKQ6MbcGz5VZz37NczTzoxT/n5qnK+werxDSCvDo6aqtJXL0OntiW
 w8jWAWnc7YSjtsxaVVVXpFjoRUVQe8WH2U62VgQzdDUmupWBjvOmYD9w=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out002.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out002.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id O6uXk9DKgshq; Tue, 28 Sep 2021 06:05:34 +0200 (CEST)
Received: from int-mx003.mykolab.com (unknown [10.9.13.3])
 by ext-mx-out002.mykolab.com (Postfix) with ESMTPS id 86E8E6D1;
 Tue, 28 Sep 2021 06:05:34 +0200 (CEST)
Received: from ext-subm002.mykolab.com (unknown [10.9.6.2])
 by int-mx003.mykolab.com (Postfix) with ESMTPS id 51E70313A;
 Tue, 28 Sep 2021 06:05:34 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
Date: Tue, 28 Sep 2021 01:05:28 -0300
Message-ID: <10029998.qDse7pAY9i@popigai>
In-Reply-To: <87tuidl725.fsf_-_@HIDDEN>
References: <20210903153116.22517-1-maxim.cournoyer@HIDDEN>
 <4704446.AJh2o8N0jF@popigai> <87tuidl725.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Maxim,

Em ter=C3=A7a-feira, 21 de setembro de 2021, =C3=A0s 22:42:26 -03, Maxim Co=
urnoyer=20
escreveu:
> Thiago Jung Bauermann <bauermann@HIDDEN> writes:
> >=20
> > I haven=E2=80=99t looked at this series in detail, so I just have one c=
omment:
> >=20
> > Em sexta-feira, 3 de setembro de 2021, =C3=A0s 12:31:13 -03, Maxim Cour=
noyer
> >=20
> > escreveu:
> >>        ;; Add test inputs.
> >>=20
> >> -      (native-inputs (cons*
> >> -                      ;; The tests fail when using GDB 10 (see:
> >> -                      ;;
> >> https://github.com/rust-lang/rust/issues/79009). -                  =20
> >>   `("gdb" ,gdb-9.2)
> >=20
> > With this change, gdb-9.2 isn=E2=80=99t used anymore and can be removed.
>=20
> Good observation; I'm in the process of updating the 'ldc' package on
> the master branch, and GDB 10 had regressions with the D language, so I
> had to use gcc-8.2 for its test suite; I guess gdb-9.2 would work too.
>=20
> I'll keep it for now.

Ah, ok. That means I=E2=80=99ll have to send a patch to fix the build of =
=E2=80=98gdb-9.2=E2=80=99=20
with GCC 10 on powerpc64le-linux then. I was hoping that wouldn=E2=80=99t b=
e=20
necessary. :-)

=2D-=20
Thanks,
Thiago






Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Sep 2021 14:36:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 10:36:44 2021
Received: from localhost ([127.0.0.1]:49771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVahQ-0004Mk-FZ
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 10:36:44 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:47403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1mVahO-0004MW-5T
 for controL <at> debbugs.gnu.org; Wed, 29 Sep 2021 10:36:42 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 93B223200A51;
 Wed, 29 Sep 2021 10:36:36 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Wed, 29 Sep 2021 10:36:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:message-id:mime-version:content-type; s=mesmtp;
 bh=6NzyZBxEMAUVoVSMvUlZXR9bCM508s/ZhFjZq1CDQwY=; b=LswgRd57P5Gy
 DmvbsRkdi/hYJogY8gVrRF4D0NLkBu310xUE1Dd3Oz+bD/x3uo1WadQUebYfMLRw
 NjgGjrd31GOjuJtgXuz6zeu+XrP1M2N2wdKBNYLfptiAFQhWeEmTYs2Rs81FoU4M
 62Yj0MIw6cI4gG3/Q1h63MW3FFFoU6I=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=6NzyZBxEMAUVoVSMvUlZXR9bCM508s/ZhFjZq1CDQ
 wY=; b=pZXjwR6u9tWHp+IR+6lzwhhmtcAYLLHxkLVDxmLljqdqW2tGTYey+PjCD
 RbzVfvE1QDu+R1EWdk9nnM8+lu0W9hosoPsF4FLi9nEjZsBJdwIf4EPDX8zky5KZ
 5TDaEsVSzwboZYipZb56ELe8q0h1ZuKOLLzKGiqZ1Yf5A3sH1/EFPzmAt/6qR7Ss
 Cf5K7X05Kq9odSOH8yZ7qrB2sjWJD/9lUB0yknftyzOcozn3yg/4D6iqmabwcMiA
 hYVEy522LKKyVeBm/NFfJzXbnHBO6J/9bdI6e2NRbMReW86r3oXw7aPFWQOfysT9
 FWk7XUSwKwcO398WeCNkX3Nkal+Lw==
X-ME-Sender: <xms:9HlUYRUZoCiZ5W_zCimIoOj1gdR7m48DipOQr9mwZ0_HR8K00UXOqA>
 <xme:9HlUYRmoBcDW4QkOHuEzkdMuYNFy1MbQuTvgPB7EE40Y8qC7bEg9e1dKSX6jZnox2
 MIGKewooQCGZ5K7TA>
X-ME-Received: <xmr:9HlUYdZg23PX4Lp3-YWDMIZx9NgEaD4AKkEfUEjqyFrssIHgnOnHToeAHCTktB4KyAzma-Skr5u_GnHcs4iDPLzzVA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudekvddgjeeiucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucfgmhhpthihuchsuhgsjhgvtghtucdluddtmdenuc
 fjughrpeffhffvkfggtggusehttdertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhl
 rghrihcuoehlvghosehfrghmuhhlrghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpe
 fhjeeigfefvedvfeetheegledtkeevuddtgedtudeiteehteegvdefffduffefffenucev
 lhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrg
 hmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:9HlUYUXrk4uOwyGRdHepld8NOPfyfhuTMHqytm2yr9pbTo8RgO2r0Q>
 <xmx:9HlUYbnuOkm6Qh5EhfQm7Z4tnhcg2ol4-9AwzhfolOYWy57Y13JtYA>
 <xmx:9HlUYRd3BCLR1SmIZuprLsoLGXrIYZLfSpYBhb9io3cB_sx2ASCSvg>
 <xmx:9HlUYRRlg4Yij043RFVaRxQSrolAug-yq9caq_py5B7yHgkGmNASVA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <controL <at> debbugs.gnu.org>; Wed, 29 Sep 2021 10:36:35 -0400 (EDT)
Date: Wed, 29 Sep 2021 10:36:33 -0400
From: Leo Famulari <leo@HIDDEN>
To: controL <at> debbugs.gnu.org
Message-ID: <YVR58SnzcokReKZU@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  block 50358 with 50859 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [64.147.123.21 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [64.147.123.21 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

block 50358 with 50859




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 12 Oct 2021 17:47:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 13:47:51 2021
Received: from localhost ([127.0.0.1]:52651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maLsV-0001Jk-9B
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:47:51 -0400
Received: from mail-qk1-f182.google.com ([209.85.222.182]:41769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1maLsU-0001J6-5F
 for control <at> debbugs.gnu.org; Tue, 12 Oct 2021 13:47:50 -0400
Received: by mail-qk1-f182.google.com with SMTP id r15so11973921qkp.8
 for <control <at> debbugs.gnu.org>; Tue, 12 Oct 2021 10:47:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=date:message-id:to:from:subject;
 bh=dWiFmqapOfuN4kovC6MCmlaL7jWlTSSvSUXK4yg1xrc=;
 b=KHT409DNZ0m+qAoFBycCAVR3Go946AY99bzMjlCMYY85jfP+A2CvnID64IB49loblQ
 RAXjbB0szZ8nJrZmZRU6+wD42g+q/hG3wt9AJG6qtU2VN+OvxS5Zwgh+C5w5tF/cT3SA
 dgNlpBaMUSsZZuz9XAcxmDuqwQTfEHck9+fwVaZ6UvSEvFy/QnwFAftRUbV2A2VAVDpe
 Zc7R4rwF4Urn49UkFzeoa31NU2LiL3orF1D6sdHbib1fCgx2xAitl/sOQO1zidFDIez9
 f+R8/s3wZA98RAf10T/ZfKWaduVrLDdjKnhXhI9kvK6UiyTkdHP76t59TcsQQx+s0DQZ
 67QQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:date:message-id:to:from:subject;
 bh=dWiFmqapOfuN4kovC6MCmlaL7jWlTSSvSUXK4yg1xrc=;
 b=rFxzDa0ImrDZdAXnazcsFnZ9q9hjCUouFlg6FHF+GjezSVrtcrvSRlvihj8lopKGZ+
 4RQpXAqpTHGS58Jem41UDTQ3P0s4Bzw3gpuKIf3vOVD7W05ao4S8NBX9SDgZboqMPte1
 9jyPLt8mqsSpl1DlbbzW/WWh0LE7UpmGAw5+VhSdgvDp0pfO03az28iOhqYUh2WxYipk
 pGDU1yh6x91nWNTpjmyWqXeYEmh7CCeF69bWZVT68PX483wkLh+rVQFq5ZoCyyUIiB9z
 icvBz5F0W9QuujrZ8XoLjLafZu3jg+R9hU9joAcQ+LdzreFjxToKY2HnAUzsEiuR2rSI
 +//g==
X-Gm-Message-State: AOAM530z8kKHlN4Mu8GA9vsD86C9Dexu73ERtZr3tkOVWi/sX+vKehrP
 s6PGhg6Us2LlC2KqNXnLAi4e3dbRQtU=
X-Google-Smtp-Source: ABdhPJwIQ/9DPubYSPDh7OY/deTW1QE5RWkmZU7PgmPOHDrKETLme9dGXaSeQ8EX9QKNQTDEBw7BBQ==
X-Received: by 2002:a37:274f:: with SMTP id n76mr21211719qkn.510.1634060864549; 
 Tue, 12 Oct 2021 10:47:44 -0700 (PDT)
Received: from hurd ([207.35.95.251])
 by smtp.gmail.com with ESMTPSA id o21sm2667480qtq.86.2021.10.12.10.47.44
 for <control <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 12 Oct 2021 10:47:44 -0700 (PDT)
Date: Tue, 12 Oct 2021 13:47:43 -0400
Message-Id: <87h7dmyw1s.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: control message for bug #50358
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

unblock 50358 by 50174
quit






Last modified: Tue, 12 Oct 2021 18:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.